<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.70
Name: Aanleverbericht PRN (obstetrisch) 1e lijn naar PRN
Description: Template: Aanleverbericht PRN (obstetrisch) 1e lijn naar PRN
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000">
   <title>Aanleverbericht PRN (obstetrisch) 1e lijn naar PRN</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess"
         id="tmp-r-973531-764147-545001-698026">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(albprn-1el-20): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:id)&lt;=1">(albprn-1el-20): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:code[(@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')])&gt;=1 and not(hl7:code[(@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')]/@nullFlavor)">(albprn-1el-20): element hl7:code[(@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:code[(@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')])&lt;=1">(albprn-1el-20): element hl7:code[(@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(albprn-1el-20): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(albprn-1el-20): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(albprn-1el-20): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(albprn-1el-20): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]])&gt;=1 and not(hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/@nullFlavor)">(albprn-1el-20): element hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]])&lt;=1">(albprn-1el-20): element hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:id
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:id"
         id="tmp-r-620508-277820-899884-113833">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:code[(@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')]
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:code[(@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')]"
         id="tmp-r-390528-994997-771968-857854">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="@nullFlavor or (@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')">(albprn-1el-20): de elementwaarde MOET zijn code '900000' codeSystem '2.16.840.1.113883.2.4.15.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:statusCode[@code='active']
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:statusCode[@code='active']"
         id="tmp-r-683823-260449-570114-696282">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="@nullFlavor or (@code='active')">(albprn-1el-20): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:effectiveTime
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:effectiveTime"
         id="tmp-r-211746-361604-389205-940930">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(albprn-1el-20): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:low)&lt;=1">(albprn-1el-20): element hl7:low komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:effectiveTime/hl7:low
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:effectiveTime/hl7:low"
         id="tmp-r-689234-524967-138528-181663">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]"
         id="tmp-r-387932-645411-595211-149366">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='SUBJ'">(albprn-1el-20): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='false'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']])&gt;=1 and not(hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]/@nullFlavor)">(albprn-1el-20): element hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']])&lt;=1">(albprn-1el-20): element hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent"
         id="tmp-r-256646-941508-263839-327040">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@classCode)='PCPR'">(albprn-1el-20): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@moodCode)='EVN'">(albprn-1el-20): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']/@nullFlavor)">(albprn-1el-20): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'])&lt;=1">(albprn-1el-20): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:subject)&gt;=1 ">(albprn-1el-20): element hl7:subject is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:subject)&lt;=1">(albprn-1el-20): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:performer)&gt;=1 ">(albprn-1el-20): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:performer)&lt;=1">(albprn-1el-20): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[@typeCode='REFR'])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[@typeCode='REFR'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[@typeCode='SUBJ'])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[@typeCode='SUBJ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])=0">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']"
         id="tmp-r-563316-568041-125559-659372">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.90.70'">(albprn-1el-20): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.70' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-r-193338-577530-393966-111415">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:low)&lt;=1">(albprn-1el-20): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:high)&lt;=1">(albprn-1el-20): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900115
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime
Item: (Datumstartzorgverantwoordelijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900115
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low
Item: (Datumstartzorgverantwoordelijkheid)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-r-227986-506140-333178-925041">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900024
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime
Item: (Datumeindezorgverantwoordelijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900024
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high
Item: (Datumeindezorgverantwoordelijkheid)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high"
         id="tmp-r-954706-933991-266733-802872">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900709
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Vrouw_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900709
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject
Item: (Vrouw_3)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject"
         id="tmp-r-429497-467189-317020-174094">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="string(@typeCode)='SBJ'">(Vrouw_3): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(Vrouw_3): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:patient)&lt;=1">(Vrouw_3): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900709
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: (Vrouw_3)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient"
         id="tmp-r-630932-284902-285126-591823">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="string(@classCode)='PAT'">(Vrouw_3): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:id)&gt;0">(Vrouw_3): identification mother requires either a BSN or a local id or both</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 ">(Vrouw_3): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Vrouw_3): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(Vrouw_3): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(Vrouw_3): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(Vrouw_3): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">(Vrouw_3): element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:patientPerson)&lt;=1">(Vrouw_3): element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900028
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900028
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id
Item: (Burgerservicenummer)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id"
         id="tmp-r-824940-659727-596251-160349">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900028-2009-10-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3' or not(@root)">(Burgerservicenummer): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900029
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: (Lokalepersoonsidentificatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900029
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id
Item: (Lokalepersoonsidentificatie)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id"
         id="tmp-r-608742-164127-866441-823660">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900148
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: (Adresvrouw)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900148
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr
Item: (Adresvrouw)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr"
         id="tmp-r-790310-523480-971799-637340">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900148-2011-01-28T000000.html"
              test="string(@use)='HP' or string(@use)='PHYS' or string(@use)='TMP' or string(@use)='HP PHYS' or string(@use)='TMP PHYS'">(Adresvrouw): de waarde van @use MOET één van de volgende codes bevatten: HP', 'PHYS', 'TMP', 'HP PHYS', 'TMP PHYS.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900148-2011-01-28T000000.html"
              test="count(hl7:postalCode)&gt;=1 ">(Adresvrouw): element hl7:postalCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900148-2011-01-28T000000.html"
              test="count(hl7:postalCode)&lt;=1">(Adresvrouw): element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900148
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr/hl7:postalCode
Item: (Adresvrouw)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr/hl7:postalCode"
         id="tmp-r-519640-898191-893215-497625">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900709
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:statusCode[@code='active']
Item: (Vrouw_3)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:statusCode[@code='active']"
         id="tmp-r-191783-406368-758667-111456">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="@nullFlavor or (@code='active')">(Vrouw_3): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900709
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: (Vrouw_3)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson"
         id="tmp-r-714910-864164-230042-435246">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="string(@classCode)='PSN'">(Vrouw_3): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="string(@determinerCode)='INSTANCE'">(Vrouw_3): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="not(hl7:deceasedInd[string(@value)='true']) or hl7:deceasedTime">(Vrouw_3): Datum maternale sterfte: if deceasedInd=true an element deceasedTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:name)&gt;=1 ">(Vrouw_3): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:name)&lt;=2">(Vrouw_3): element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(Vrouw_3): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:birthTime)&lt;=1">(Vrouw_3): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:deceasedInd)&gt;=1 and not(hl7:deceasedInd/@nullFlavor)">(Vrouw_3): element hl7:deceasedInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:deceasedInd)&lt;=1">(Vrouw_3): element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:deceasedTime)&lt;=1">(Vrouw_3): element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:ethnicGroupCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Vrouw_3): element hl7:ethnicGroupCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:ethnicGroupCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Vrouw_3): element hl7:ethnicGroupCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.28') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900709-2012-04-22T000000.html"
              test="count(hl7:languageCommunication)&lt;=1">(Vrouw_3): element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900030
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: (Naamvrouw)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900030
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name
Item: (Naamvrouw)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-r-232809-518344-472913-270441">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900030-2009-10-01T000000.html"
              test="string(@use)='OR' or string(@use)='L' or string(@use)='OR L' or string(@use)='L OR' or not(@use)">(Naamvrouw): de waarde van @use MOET één van de volgende codes bevatten: OR', 'L', 'OR L', 'L OR.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900031
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: (Geboortedatumvrouw)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900031
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: (Geboortedatumvrouw)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-r-717619-764855-126940-576717">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900230
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: (Maternalesterfte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900230
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd
Item: (Maternalesterfte)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd"
         id="tmp-r-153664-787833-638155-325387">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900157
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: (Datummaternalesterfte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900157
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime
Item: (Datummaternalesterfte)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime"
         id="tmp-r-233791-400989-169843-484684">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900033
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: (Etniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900033
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode
Item: (Etniciteit)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode"
         id="tmp-r-475892-184507-613856-843875">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.3-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900033-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Etniciteit): de waarde van @code MOET worden gekozen uit waardenlijst EthnicGroup (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900033-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Etniciteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst EthnicGroup (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900727
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: (TaalvaardigheidNederlandsetaal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900727
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication
Item: (TaalvaardigheidNederlandsetaal)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication"
         id="tmp-r-595810-693931-928228-125820">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900727-2012-05-03T000000.html"
              test="count(hl7:languageCode[(@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')])&gt;=1 and not(hl7:languageCode[(@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')]/@nullFlavor)">(TaalvaardigheidNederlandsetaal): element hl7:languageCode[(@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900727-2012-05-03T000000.html"
              test="count(hl7:languageCode[(@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')])&lt;=1">(TaalvaardigheidNederlandsetaal): element hl7:languageCode[(@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900727-2012-05-03T000000.html"
              test="count(hl7:proficiencyLevelCode[(@code='G' and @codeSystem='2.16.840.1.113883.5.61') or (@code='P' and @codeSystem='2.16.840.1.113883.5.61') or (@code='N' and @codeSystem='2.16.840.1.113883.5.61') or @nullFlavor='NI'])&gt;=1 ">(TaalvaardigheidNederlandsetaal): element hl7:proficiencyLevelCode[(@code='G' and @codeSystem='2.16.840.1.113883.5.61') or (@code='P' and @codeSystem='2.16.840.1.113883.5.61') or (@code='N' and @codeSystem='2.16.840.1.113883.5.61') or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900727-2012-05-03T000000.html"
              test="count(hl7:proficiencyLevelCode[(@code='G' and @codeSystem='2.16.840.1.113883.5.61') or (@code='P' and @codeSystem='2.16.840.1.113883.5.61') or (@code='N' and @codeSystem='2.16.840.1.113883.5.61') or @nullFlavor='NI'])&lt;=1">(TaalvaardigheidNederlandsetaal): element hl7:proficiencyLevelCode[(@code='G' and @codeSystem='2.16.840.1.113883.5.61') or (@code='P' and @codeSystem='2.16.840.1.113883.5.61') or (@code='N' and @codeSystem='2.16.840.1.113883.5.61') or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900727
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCode[(@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')]
Item: (TaalvaardigheidNederlandsetaal)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCode[(@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')]"
         id="tmp-r-616687-944037-280835-679305">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900727-2012-05-03T000000.html"
              test="@nullFlavor or (@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')">(TaalvaardigheidNederlandsetaal): de elementwaarde MOET zijn code 'nl-NL' codeSystem '2.16.840.1.113883.6.121'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900727
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode[(@code='G' and @codeSystem='2.16.840.1.113883.5.61') or (@code='P' and @codeSystem='2.16.840.1.113883.5.61') or (@code='N' and @codeSystem='2.16.840.1.113883.5.61') or @nullFlavor='NI']
Item: (TaalvaardigheidNederlandsetaal)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode[(@code='G' and @codeSystem='2.16.840.1.113883.5.61') or (@code='P' and @codeSystem='2.16.840.1.113883.5.61') or (@code='N' and @codeSystem='2.16.840.1.113883.5.61') or @nullFlavor='NI']"
         id="tmp-r-533899-205493-303254-907608">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.141-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.141-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900727-2012-05-03T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(TaalvaardigheidNederlandsetaal): de waarde van @code MOET worden gekozen uit waardenlijst LanguageAbilityProficiency2 Language Ability Proficiency (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900727-2012-05-03T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(TaalvaardigheidNederlandsetaal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst LanguageAbilityProficiency2 Language Ability Proficiency (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Zorgverlenereninstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer"
         id="tmp-r-210099-307172-229288-647649">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@typeCode)='PPRF'">(Zorgverlenereninstelling): de waarde van @typeCode MOET 'PPRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:responsibleParty)&gt;=1 ">(Zorgverlenereninstelling): element hl7:responsibleParty is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:responsibleParty)&lt;=1">(Zorgverlenereninstelling): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty"
         id="tmp-r-845104-710990-459929-817198">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@classCode)='ASSIGNED'">(Zorgverlenereninstelling): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="$elmcount&gt;=1">(Zorgverlenereninstelling): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(Zorgverlenereninstelling): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1'])&lt;=1">(Zorgverlenereninstelling): element hl7:id[@root='2.16.840.1.113883.2.4.6.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])&lt;=1">(Zorgverlenereninstelling): element hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')])&gt;=1 and not(hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]/@nullFlavor)">(Zorgverlenereninstelling): element hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')])&lt;=1">(Zorgverlenereninstelling): element hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">(Zorgverlenereninstelling): element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:agentPerson)&lt;=1">(Zorgverlenereninstelling): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(Zorgverlenereninstelling): element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(Zorgverlenereninstelling): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-755031-763753-539647-576268">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(Zorgverlenereninstelling): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-r-401205-655214-172275-149752">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(Zorgverlenereninstelling): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']"
         id="tmp-r-663169-811954-564610-644289">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.22.98.2'">(Zorgverlenereninstelling): @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.2' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900124
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty
Item: (Zorgverlenertype)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900124
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code
Item: (Zorgverlenertype)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code"
         id="tmp-r-656458-661460-222869-839379">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900124-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Zorgverlenertype): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900124-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Zorgverlenertype): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900124-2011-01-28T000000.html"
              test="count(hl7:translation)&lt;=1">(Zorgverlenertype): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900013
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code
Item: (ZorgverlenertypeLVR2code)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900013
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code/hl7:translation
Item: (ZorgverlenertypeLVR2code)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code/hl7:translation"
         id="tmp-r-142266-620931-864755-823315">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900013-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(ZorgverlenertypeLVR2code): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerTypeLVR (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900013-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(ZorgverlenertypeLVR2code): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerTypeLVR (DYNAMISCH).</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: (Zorgverlenereninstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900006
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty
Item: (Naamzorgverlener)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900006
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: (Naamzorgverlener)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900006
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: (Naamzorgverlener)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-r-805565-395414-222969-899596">
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization"
         id="tmp-r-661525-718774-264975-273738">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[not(@root='2.16.840.1.113883.2.4.6.1' or @root='2.16.840.1.113883.2.4.3.22.98.1' or @root='2.16.528.1.1007.3.3')])&gt;=1 and not(hl7:id[not(@root='2.16.840.1.113883.2.4.6.1' or @root='2.16.840.1.113883.2.4.3.22.98.1' or @root='2.16.528.1.1007.3.3')]/@nullFlavor)">(Zorgverlenereninstelling): element hl7:id[not(@root='2.16.840.1.113883.2.4.6.1' or @root='2.16.840.1.113883.2.4.3.22.98.1' or @root='2.16.528.1.1007.3.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[not(@root='2.16.840.1.113883.2.4.6.1' or @root='2.16.840.1.113883.2.4.3.22.98.1' or @root='2.16.528.1.1007.3.3')])&lt;=1">(Zorgverlenereninstelling): element hl7:id[not(@root='2.16.840.1.113883.2.4.6.1' or @root='2.16.840.1.113883.2.4.3.22.98.1' or @root='2.16.528.1.1007.3.3')] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.528.1.1007.3.3']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="$elmcount&gt;=1">(Zorgverlenereninstelling): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1'])&lt;=1">(Zorgverlenereninstelling): element hl7:id[@root='2.16.840.1.113883.2.4.6.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(Zorgverlenereninstelling): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1'])&lt;=1">(Zorgverlenereninstelling): element hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')])&gt;=1 and not(hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]/@nullFlavor)">(Zorgverlenereninstelling): element hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')])&lt;=1">(Zorgverlenereninstelling): element hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Zorgverlenereninstelling): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:name)&lt;=1">(Zorgverlenereninstelling): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(Zorgverlenereninstelling): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="count(hl7:addr)&lt;=1">(Zorgverlenereninstelling): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900022
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: (ZorginstellingOID)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900022
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[not(@root='2.16.840.1.113883.2.4.6.1' or @root='2.16.840.1.113883.2.4.3.22.98.1' or @root='2.16.528.1.1007.3.3')]
Item: (ZorginstellingOID)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[not(@root='2.16.840.1.113883.2.4.6.1' or @root='2.16.840.1.113883.2.4.3.22.98.1' or @root='2.16.528.1.1007.3.3')]"
         id="tmp-r-324546-890677-914981-979156">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-r-361729-391465-402660-408469">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(Zorgverlenereninstelling): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-321982-877056-967345-660325">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(Zorgverlenereninstelling): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900608
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']
Item: (Zorgverlenereninstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']"
         id="tmp-r-127969-294612-453796-591544">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900608-2011-01-28T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.22.98.1'">(Zorgverlenereninstelling): @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900609
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: (Zorginstellingtype)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900609
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:code
Item: (Zorginstellingtype)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:code"
         id="tmp-r-322219-164758-252793-397993">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.59-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.59-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900609-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Zorginstellingtype): de waarde van @code MOET worden gekozen uit waardenlijst ZorgaanbiederType (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900609-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Zorginstellingtype): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgaanbiederType (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900025
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: (Naamzorginstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900025
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:name
Item: (Naamzorginstelling)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:name"
         id="tmp-r-373285-918246-216411-211133">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: (Zorginstellingadres)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr"
         id="tmp-r-983769-779070-328614-831497">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:streetName
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:streetName"
         id="tmp-r-666657-356606-737179-927733">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:houseNumber
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:houseNumber"
         id="tmp-r-339807-312171-587926-420988">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:buildingNumberSuffix
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:buildingNumberSuffix"
         id="tmp-r-851672-298222-409538-926276">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:additionalLocator
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:additionalLocator"
         id="tmp-r-707644-442472-601882-505338">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:postalCode
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:postalCode"
         id="tmp-r-274820-753164-439791-247971">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:city
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:city"
         id="tmp-r-713384-207746-234437-447895">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:county
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:county"
         id="tmp-r-977854-206185-638672-997117">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900026
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:country
Item: (Zorginstellingadres)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr/hl7:country"
         id="tmp-r-596054-370633-162206-943381">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-954029-325803-969370-480618">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='REFR'">(albprn-1el-20): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 and not(hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/@nullFlavor)">(albprn-1el-20): element hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(albprn-1el-20): element hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:patientCareProvisionEvent
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:patientCareProvisionEvent"
         id="tmp-r-237392-100861-616377-132881">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@classCode)='PCPR'">(albprn-1el-20): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@moodCode)='EVN'">(albprn-1el-20): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(albprn-1el-20): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:id)&lt;=1">(albprn-1el-20): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(albprn-1el-20): element hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(albprn-1el-20): element hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:patientCareProvisionEvent/hl7:id
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:patientCareProvisionEvent/hl7:id"
         id="tmp-r-953824-880683-647084-956845">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:patientCareProvisionEvent/hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:reference[hl7:patientCareProvisionEvent[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:patientCareProvisionEvent/hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-703893-715410-503704-334030">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="@nullFlavor or (@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')">(albprn-1el-20): de elementwaarde MOET zijn code 'OBS' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]"
         id="tmp-r-996030-275287-777326-746843">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900710
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Ziektenenbijzonderhedenvrouwindealgemeneanamnese_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900710
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]
Item: (Ziektenenbijzonderhedenvrouwindealgemeneanamnese_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900710
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList
Item: (Ziektenenbijzonderhedenvrouwindealgemeneanamnese_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900710
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Ziektenenbijzonderhedenvrouwindealgemeneanamnese_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList
Item: (Commonziektenenbijzonderheden_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Commonziektenenbijzonderheden_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-475770-113846-735915-429343">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="string(@classCode)='LIST'">(Commonziektenenbijzonderheden_3): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="string(@moodCode)='EVN'">(Commonziektenenbijzonderheden_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Commonziektenenbijzonderheden_3): element hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Commonziektenenbijzonderheden_3): element hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/@nullFlavor)">(Commonziektenenbijzonderheden_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(Commonziektenenbijzonderheden_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Commonziektenenbijzonderheden_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-555229-394410-895342-633155">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Commonziektenenbijzonderheden_3): de elementwaarde MOET zijn code 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Commonziektenenbijzonderheden_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-634139-832084-327189-999276">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="string(@typeCode)='COMP'">(Commonziektenenbijzonderheden_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/@nullFlavor)">(Commonziektenenbijzonderheden_3): element hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&lt;=1">(Commonziektenenbijzonderheden_3): element hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Commonziektenenbijzonderheden_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-239871-195249-144155-751672">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="string(@classCode)='OBS'">(Commonziektenenbijzonderheden_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="string(@moodCode)='EVN'">(Commonziektenenbijzonderheden_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Commonziektenenbijzonderheden_3): element hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Commonziektenenbijzonderheden_3): element hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:value)&gt;=1 ">(Commonziektenenbijzonderheden_3): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="count(hl7:value)&lt;=1">(Commonziektenenbijzonderheden_3): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Commonziektenenbijzonderheden_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-926169-851273-480884-333170">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Commonziektenenbijzonderheden_3): de elementwaarde MOET zijn code 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Commonziektenenbijzonderheden_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-721671-802704-809939-630738">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">(Commonziektenenbijzonderheden_3):  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten als inboundRelationship component worden meegegeven</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="@value='true' or count(../hl7:inboundRelationship)=0">(Commonziektenenbijzonderheden_3):  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900890
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Commonziektenenbijzonderheden_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-329974-345786-114074-959433">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900890-2012-12-07T000000.html"
              test="string(@typeCode)='COMP'">(Commonziektenenbijzonderheden_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900152
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Soortziektenenbijzonderhedenvrouwindealganamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900152
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Soortziektenenbijzonderhedenvrouwindealganamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-749181-521929-383030-694244">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Soortziektenenbijzonderhedenvrouwindealganamnese): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Soortziektenenbijzonderhedenvrouwindealganamnese): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Soortziektenenbijzonderhedenvrouwindealganamnese): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="count(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Soortziektenenbijzonderhedenvrouwindealganamnese): element hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="count(hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Soortziektenenbijzonderhedenvrouwindealganamnese): element hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="count(hl7:uncertaintyCode)&lt;=1">(Soortziektenenbijzonderhedenvrouwindealganamnese): element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="count(hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'])&gt;=1 ">(Soortziektenenbijzonderhedenvrouwindealganamnese): element hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="count(hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'])&lt;=1">(Soortziektenenbijzonderhedenvrouwindealganamnese): element hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900152
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id
Item: (Soortziektenenbijzonderhedenvrouwindealganamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id"
         id="tmp-r-764848-650623-553100-169443">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900152
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Soortziektenenbijzonderhedenvrouwindealganamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-529641-798278-604695-227326">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Soortziektenenbijzonderhedenvrouwindealganamnese): de elementwaarde MOET zijn code 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900152
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode
Item: (Soortziektenenbijzonderhedenvrouwindealganamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-r-973243-323037-310119-531679">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900152
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI']
Item: (Soortziektenenbijzonderhedenvrouwindealganamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='VERLIND']]]/hl7:actList/hl7:component[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI']"
         id="tmp-r-943908-161260-890683-749429">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.125-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.125-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Soortziektenenbijzonderhedenvrouwindealganamnese): de waarde van @code MOET worden gekozen uit waardenlijst VILLijst10002000 (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900152-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Soortziektenenbijzonderhedenvrouwindealganamnese): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst VILLijst10002000 (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]"
         id="tmp-r-903428-790865-799733-657157">
      <extends rule="tmp-r-504244-458393-346502-436846"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule id="tmp-r-504244-458393-346502-436846" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&lt;=1">(Bijzonderhedenobstetrischeanamnese_3): element hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]"
         id="tmp-r-891246-452900-137209-316938">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="string(@classCode)='LIST'">(Bijzonderhedenobstetrischeanamnese_3): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Bijzonderhedenobstetrischeanamnese_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Bijzonderhedenobstetrischeanamnese_3): element hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Bijzonderhedenobstetrischeanamnese_3): element hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(Bijzonderhedenobstetrischeanamnese_3): element hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:code
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:code"
         id="tmp-r-466329-365865-208227-253106">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Bijzonderhedenobstetrischeanamnese_3): de elementwaarde MOET zijn code 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-328475-371684-820094-725133">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(Bijzonderhedenobstetrischeanamnese_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/@nullFlavor)">(Bijzonderhedenobstetrischeanamnese_3): element hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&lt;=1">(Bijzonderhedenobstetrischeanamnese_3): element hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-346945-965239-144484-485295">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(Bijzonderhedenobstetrischeanamnese_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Bijzonderhedenobstetrischeanamnese_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Bijzonderhedenobstetrischeanamnese_3): element hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Bijzonderhedenobstetrischeanamnese_3): element hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 ">(Bijzonderhedenobstetrischeanamnese_3): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(Bijzonderhedenobstetrischeanamnese_3): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-365835-863637-332546-232949">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Bijzonderhedenobstetrischeanamnese_3): de elementwaarde MOET zijn code 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-460976-704164-960446-177773">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">(Bijzonderhedenobstetrischeanamnese_3):  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten als inboundRelationship component worden meegegeven</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="@value='true' or count(../hl7:inboundRelationship)=0">(Bijzonderhedenobstetrischeanamnese_3):  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900711
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Bijzonderhedenobstetrischeanamnese_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-574152-360927-416102-456637">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900711-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(Bijzonderhedenobstetrischeanamnese_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900155
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Soortbijzonderhedenobstetrischeanamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900155
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Soortbijzonderhedenobstetrischeanamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900155
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Soortbijzonderhedenobstetrischeanamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-603677-858797-787143-225998">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Soortbijzonderhedenobstetrischeanamnese): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Soortbijzonderhedenobstetrischeanamnese): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Soortbijzonderhedenobstetrischeanamnese): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="count(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Soortbijzonderhedenobstetrischeanamnese): element hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="count(hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Soortbijzonderhedenobstetrischeanamnese): element hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="count(hl7:uncertaintyCode)&lt;=1">(Soortbijzonderhedenobstetrischeanamnese): element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="count(hl7:value[(@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'])&gt;=1 ">(Soortbijzonderhedenobstetrischeanamnese): element hl7:value[(@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="count(hl7:value[(@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'])&lt;=1">(Soortbijzonderhedenobstetrischeanamnese): element hl7:value[(@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900155
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id
Item: (Soortbijzonderhedenobstetrischeanamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id"
         id="tmp-r-499472-296379-902993-345217">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900155
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Soortbijzonderhedenobstetrischeanamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-610756-106574-838677-256478">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Soortbijzonderhedenobstetrischeanamnese): de elementwaarde MOET zijn code 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900155
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode
Item: (Soortbijzonderhedenobstetrischeanamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-r-891572-200928-551395-557087">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900155
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI']
Item: (Soortbijzonderhedenobstetrischeanamnese)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:actList[hl7:code[@code='OBSTANAM']]]/hl7:actList[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:component[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='NI']"
         id="tmp-r-773021-209433-686457-982561">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.126-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.126-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Soortbijzonderhedenobstetrischeanamnese): de waarde van @code MOET worden gekozen uit waardenlijst VILLijst3000 (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900155-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Soortbijzonderhedenobstetrischeanamnese): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst VILLijst3000 (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-205615-953652-351900-246820">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900116
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Periodestartzorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900116
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Periodestartzorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900116
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Periodestartzorg)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-488416-805208-144063-115159">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Periodestartzorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Periodestartzorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Periodestartzorg): element hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Periodestartzorg): element hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Periodestartzorg): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Periodestartzorg): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900116
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Periodestartzorg)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-518682-430653-335639-326231">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Periodestartzorg): de elementwaarde MOET zijn code 'PRN2102' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900116
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Periodestartzorg)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.20') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-541836-490372-803709-171433">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.94-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.94-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Periodestartzorg): de waarde van @code MOET worden gekozen uit waardenlijst PeriodeZorgverlening (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900116-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Periodestartzorg): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst PeriodeZorgverlening (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']"
         id="tmp-r-479916-550433-857123-993738">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='REFR'">(albprn-1el-20): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Overdrachtdetails)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']
Item: (Overdrachtdetails)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="tmp-r-766689-166248-338057-192236">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@classCode)='PCPR'">(Overdrachtdetails): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@moodCode)='RQO'">(Overdrachtdetails): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="../hl7:act/@negationInd='true' or ../hl7:act/@nullFlavor or hl7:effectiveTime">(Overdrachtdetails): If referral an effectiveTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="../hl7:act/@negationInd='true' or ../hl7:act/@nullFlavor or hl7:inboundRelationship[@typeCode='RSON']">(Overdrachtdetails): If referral a Redenvanoverdracht shall be present.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(Overdrachtdetails): element hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(Overdrachtdetails): element hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Overdrachtdetails): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:performer)&lt;=1">(Overdrachtdetails): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[@typeCode='PERT'])&lt;=1">(Overdrachtdetails): element hl7:inboundRelationship[@typeCode='PERT'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code"
         id="tmp-r-665191-187642-980330-527136">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="@nullFlavor or (@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')">(Overdrachtdetails): de elementwaarde MOET zijn code 'OBS' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:effectiveTime
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:effectiveTime"
         id="tmp-r-441670-455931-350576-998277">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer"
         id="tmp-r-575995-875522-162362-173289">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@typeCode)='PRF'">(Overdrachtdetails): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Overdrachtdetails): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Overdrachtdetails): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity"
         id="tmp-r-373581-544549-842502-379254">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@classCode)='ASSIGNED'">(Overdrachtdetails): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:code)&lt;=1">(Overdrachtdetails): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(Overdrachtdetails): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-103248-538936-904994-833450">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.93-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), exists(document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.93-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Overdrachtdetails): de waarde van @code MOET worden gekozen uit waardenlijst EchelonOvername (DYNAMISCH) of ZorgverlenerType (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Overdrachtdetails): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst EchelonOvername (DYNAMISCH) of ZorgverlenerType (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-210821-701320-155198-182444">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@classCode)='ORG'">(Overdrachtdetails): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@determinerCode)='INSTANCE'">(Overdrachtdetails): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Overdrachtdetails): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Overdrachtdetails): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-r-352502-422336-471710-384066">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']"
         id="tmp-r-946782-170752-204110-210095">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@typeCode)='RSON'">(Overdrachtdetails): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:priorityNumber)&lt;=1">(Overdrachtdetails): element hl7:priorityNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&lt;=1">(Overdrachtdetails): element hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900622
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']
Item: (Aanduidinghoofdnevenredenvanoverdrachtaan)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900622
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:priorityNumber
Item: (Aanduidinghoofdnevenredenvanoverdrachtaan)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:priorityNumber"
         id="tmp-r-630701-619397-914975-474679">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900622-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=2))">(Aanduidinghoofdnevenredenvanoverdrachtaan): value MOET in bereik [1..2] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900623
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']
Item: (Redenvanoverdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900623
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]
Item: (Redenvanoverdracht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]"
         id="tmp-r-249442-332519-763694-775928">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Redenvanoverdracht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Redenvanoverdracht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="count(hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Redenvanoverdracht): element hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="count(hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Redenvanoverdracht): element hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="count(hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'])&gt;=1 ">(Redenvanoverdracht): element hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="count(hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'])&lt;=1">(Redenvanoverdracht): element hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900623
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:code
Item: (Redenvanoverdracht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:code"
         id="tmp-r-445355-792779-347627-435316">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="@nullFlavor or (@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Redenvanoverdracht): de elementwaarde MOET zijn code 'RefOutReas' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900623
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI']
Item: (Redenvanoverdracht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI']"
         id="tmp-r-242860-846596-610532-448617">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.127-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.127-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Redenvanoverdracht): de waarde van @code MOET worden gekozen uit waardenlijst VILLijst (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Redenvanoverdracht): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst VILLijst (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="count(hl7:translation)&lt;=1">(Redenvanoverdracht): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900623
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI']/hl7:translation
Item: (Redenvanoverdracht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI']/hl7:translation"
         id="tmp-r-981909-482769-521164-866417">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.124-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.124-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Redenvanoverdracht): de waarde van @code MOET worden gekozen uit waardenlijst RedenOvernameLVR (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900623-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Redenvanoverdracht): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst RedenOvernameLVR (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900620
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']
Item: (Overdrachtdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']"
         id="tmp-r-167384-341410-574669-691148">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900620-2012-04-22T000000.html"
              test="string(@typeCode)='PERT'">(Overdrachtdetails): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900895
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (Perinataleperiodevanoverdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900895
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']
Item: (Perinataleperiodevanoverdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900895
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]
Item: (Perinataleperiodevanoverdracht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]"
         id="tmp-r-370064-513473-831325-556228">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="string(@classCode)='OBS'">(Perinataleperiodevanoverdracht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="string(@moodCode)='EVN'">(Perinataleperiodevanoverdracht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="count(hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Perinataleperiodevanoverdracht): element hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="count(hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Perinataleperiodevanoverdracht): element hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Perinataleperiodevanoverdracht): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Perinataleperiodevanoverdracht): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900895
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:code
Item: (Perinataleperiodevanoverdracht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:code"
         id="tmp-r-327112-962043-939145-772923">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="@nullFlavor or (@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Perinataleperiodevanoverdracht): de elementwaarde MOET zijn code 'PRN210603' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900895
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Perinataleperiodevanoverdracht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act[hl7:code[(@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210603' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-955471-331861-139905-212596">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.169-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.169-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Perinataleperiodevanoverdracht): de waarde van @code MOET worden gekozen uit waardenlijst PerinatalePeriodeOverdrachtConsult (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900895-2012-12-07T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Perinataleperiodevanoverdracht): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst PerinatalePeriodeOverdrachtConsult (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']"
         id="tmp-r-217063-606173-768029-869075">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='SUBJ'">(albprn-1el-20): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Consultdetails)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']
Item: (Consultdetails)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]"
         id="tmp-r-355075-561185-674235-429833">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@classCode)='PCPR'">(Consultdetails): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@moodCode)='RQO'">(Consultdetails): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="../hl7:act/@negationInd='true' or ../hl7:act/@nullFlavor or hl7:effectiveTime">(Consultdetails): If consult an effectiveTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="../hl7:act/@negationInd='true' or ../hl7:act/@nullFlavor or hl7:inboundRelationship[@typeCode='RSON']">(Consultdetails): If consult an Redenvanconsult shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Consultdetails): element hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Consultdetails): element hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Consultdetails): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:performer)&lt;=1">(Consultdetails): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[@typeCode='PERT'])&lt;=1">(Consultdetails): element hl7:inboundRelationship[@typeCode='PERT'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code"
         id="tmp-r-320496-664515-130672-387002">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="@nullFlavor or (@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')">(Consultdetails): de elementwaarde MOET zijn code '11429006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:effectiveTime
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:effectiveTime"
         id="tmp-r-666844-791786-382190-978963">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer"
         id="tmp-r-604293-148134-415539-153895">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@typeCode)='PRF'">(Consultdetails): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Consultdetails): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Consultdetails): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity"
         id="tmp-r-798100-874838-530773-787712">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@classCode)='ASSIGNED'">(Consultdetails): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:code)&lt;=1">(Consultdetails): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(Consultdetails): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-595412-359759-368775-175801">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Consultdetails): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Consultdetails): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-871193-160205-764641-164518">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@classCode)='ORG'">(Consultdetails): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@determinerCode)='INSTANCE'">(Consultdetails): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Consultdetails): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Consultdetails): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-r-364102-315692-448880-766153">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']"
         id="tmp-r-972278-780583-287623-330694">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@typeCode)='RSON'">(Consultdetails): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900708
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Redenvanconsult)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900708
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']
Item: (Redenvanconsult)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900708
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]
Item: (Redenvanconsult)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]"
         id="tmp-r-664657-457102-269813-770628">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="string(@classCode)='OBS'">(Redenvanconsult): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="string(@moodCode)='EVN'">(Redenvanconsult): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="count(hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Redenvanconsult): element hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="count(hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Redenvanconsult): element hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="count(hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'])&gt;=1 ">(Redenvanconsult): element hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="count(hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'])&lt;=1">(Redenvanconsult): element hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900708
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:code
Item: (Redenvanconsult)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:code"
         id="tmp-r-909703-980498-639975-796650">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="@nullFlavor or (@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Redenvanconsult): de elementwaarde MOET zijn code 'RefConsReas' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900708
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI']
Item: (Redenvanconsult)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='RSON']/hl7:observation[hl7:code[(@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/hl7:value[(@code='1000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1184' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='1999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2023' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2061' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2062' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='2999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3021' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3022' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3031' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3041' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3042' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3091' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3092' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3161' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3162' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3251' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='3999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4032' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4081' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4082' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4083' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4149' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4151' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4152' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4153' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4271' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4272' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4273' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4274' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4275' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4281' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4282' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4283' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4284' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4291' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4292' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4293' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4294' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4311' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4312' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4330' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4340' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4350' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4351' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4360' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4370' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4380' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4390' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4400' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4410' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4420' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4430' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4440' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4441' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4450' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4460' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4470' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4480' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4490' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4600' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='4999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5071' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5150' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5160' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5170' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5180' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5190' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='5999' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6011' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6012' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6013' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6040' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6050' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6060' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6070' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6080' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6090' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6500' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6510' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6520' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6530' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6531' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6532' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6533' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6534' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6540' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6542' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6543' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6544' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6545' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6546' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6547' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6548' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6549' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6550' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6551' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6552' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6553' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='6599' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7140' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7290' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7300' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7310' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7320' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='7499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8000' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8010' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8020' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8030' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8100' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8110' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8120' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8130' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8200' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8210' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8220' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8230' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8240' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8250' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8260' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8270' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8280' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or (@code='8499' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.1') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NAV' or @nullFlavor='NI']"
         id="tmp-r-135379-268195-189763-416286">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.127-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.127-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Redenvanconsult): de waarde van @code MOET worden gekozen uit waardenlijst VILLijst (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900708-2012-04-17T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Redenvanconsult): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst VILLijst (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900621
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']
Item: (Consultdetails)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']"
         id="tmp-r-343101-870024-572148-824369">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900621-2012-04-22T000000.html"
              test="string(@typeCode)='PERT'">(Consultdetails): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900896
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Perinataleperiodevanconsult)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900896
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']
Item: (Perinataleperiodevanconsult)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900896
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]
Item: (Perinataleperiodevanconsult)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]"
         id="tmp-r-586857-267694-206429-235004">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="string(@classCode)='OBS'">(Perinataleperiodevanconsult): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="string(@moodCode)='EVN'">(Perinataleperiodevanconsult): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="count(hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Perinataleperiodevanconsult): element hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="count(hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Perinataleperiodevanconsult): element hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Perinataleperiodevanconsult): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Perinataleperiodevanconsult): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900896
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:code
Item: (Perinataleperiodevanconsult)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:code"
         id="tmp-r-171591-556969-236938-625553">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="@nullFlavor or (@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Perinataleperiodevanconsult): de elementwaarde MOET zijn code 'PRN210503' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900896
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Perinataleperiodevanconsult)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act[hl7:code[(@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:inboundRelationship[@typeCode='PERT']/hl7:observation[hl7:code[(@code='PRN210503' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.52') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-654483-393441-815125-503149">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.169-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.169-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Perinataleperiodevanconsult): de waarde van @code MOET worden gekozen uit waardenlijst PerinatalePeriodeOverdrachtConsult (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900896-2012-12-07T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Perinataleperiodevanconsult): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst PerinatalePeriodeOverdrachtConsult (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-632413-263687-127581-979528">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900162
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (CondZwangerschap)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900162
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (CondZwangerschap)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900162
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:act
Item: (CondZwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:act"
         id="tmp-r-217759-744400-767779-994719">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900162-2011-01-28T000000.html"
              test="string(@classCode)='COND'">(CondZwangerschap): de waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900162-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(CondZwangerschap): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900162-2011-01-28T000000.html"
              test="count(hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(CondZwangerschap): element hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900162-2011-01-28T000000.html"
              test="count(hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(CondZwangerschap): element hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900162-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CondZwangerschap): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900162
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:act/hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (CondZwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:act/hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-369664-367419-981050-895658">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900162-2011-01-28T000000.html"
              test="@nullFlavor or (@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')">(CondZwangerschap): de elementwaarde MOET zijn code '364320009' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900162
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:act/hl7:effectiveTime
Item: (CondZwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:act/hl7:effectiveTime"
         id="tmp-r-170033-102425-841848-365114">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-253911-264442-103812-372626">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Graviditeit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Graviditeit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Graviditeit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-984205-562867-463860-272545">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Graviditeit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Graviditeit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Graviditeit): element hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Graviditeit): element hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Graviditeit): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Graviditeit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Graviditeit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-963522-463707-956766-994523">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="@nullFlavor or (@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Graviditeit): de elementwaarde MOET zijn code 'Gravidity' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Graviditeit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-122851-788622-723962-561196">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=75))">(Graviditeit): value MOET in bereik [0..75] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-538348-743770-981366-533365">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (HoeveellingMax)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (HoeveellingMax)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (HoeveellingMax)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-334590-822785-305466-849038">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(HoeveellingMax): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(HoeveellingMax): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(HoeveellingMax): element hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(HoeveellingMax): element hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(HoeveellingMax): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(HoeveellingMax): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(HoeveellingMax): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(HoeveellingMax): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (HoeveellingMax)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-310763-724241-611930-711985">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="@nullFlavor or (@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(HoeveellingMax): de elementwaarde MOET zijn code 'NFetusMax' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime
Item: (HoeveellingMax)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime"
         id="tmp-r-584775-935266-299604-964481">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (HoeveellingMax)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-427023-519253-628839-603744">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=9))">(HoeveellingMax): value MOET in bereik [1..9] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-466595-571440-645161-904101">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Actueleaantalfoetus)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-987029-425662-208109-103105">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Actueleaantalfoetus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Actueleaantalfoetus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Actueleaantalfoetus): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Actueleaantalfoetus): element hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Actueleaantalfoetus): element hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Actueleaantalfoetus): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Actueleaantalfoetus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Actueleaantalfoetus): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Actueleaantalfoetus): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id
Item: (Actueleaantalfoetus)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id"
         id="tmp-r-111094-272156-849473-951684">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Actueleaantalfoetus)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-336106-101385-402613-537238">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or (@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Actueleaantalfoetus): de elementwaarde MOET zijn code 'NFetusCur' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime
Item: (Actueleaantalfoetus)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime"
         id="tmp-r-303446-279653-146610-967907">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Actueleaantalfoetus)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-323998-368928-271403-145868">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">(Actueleaantalfoetus): value MOET in bereik [0..9] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-514156-617220-286681-561067">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (EDD_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (EDD_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (EDD_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-528110-282462-924089-788653">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="string(@classCode)='OBS'">(EDD_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="string(@moodCode)='EVN'">(EDD_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <let name="V_ActualCount"
           value="count(../../*/hl7:observation[hl7:code[@code='EDD']]/*/hl7:observation[hl7:code[@code='ActualEDD'                      and @codeSystem='2.16.840.1.113883.2.4.4.13']]/hl7:value[@value='true'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="$V_ActualCount &lt;= 1">(EDD_3): Er mag maar één a terme datum actueel zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(EDD_3): element hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(EDD_3): element hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(EDD_3): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EDD_3): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(EDD_3): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:value)&lt;=1">(EDD_3): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 ">(EDD_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(EDD_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/@nullFlavor)">(EDD_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(EDD_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (EDD_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-921064-174857-179608-937884">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="@nullFlavor or (@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(EDD_3): de elementwaarde MOET zijn code 'EDD' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime
Item: (EDD_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime"
         id="tmp-r-573147-688259-206251-491885">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (EDD_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-143355-743110-207550-634163">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (EDD_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-758762-985729-126749-189500">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="string(@typeCode)='SPRT'">(EDD_3): de waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900008
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (EDDBasis)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900008
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (EDDBasis)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900008
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (EDDBasis)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-254046-246623-273477-848826">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="string(@classCode)='OBS'">(EDDBasis): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(EDDBasis): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(EDDBasis): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="count(hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(EDDBasis): element hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="count(hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(EDDBasis): element hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(EDDBasis): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(EDDBasis): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900008
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id
Item: (EDDBasis)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:id"
         id="tmp-r-816377-240527-313980-746796">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900008
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (EDDBasis)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-914123-313538-460609-217370">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="@nullFlavor or (@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(EDDBasis): de elementwaarde MOET zijn code 'EDDBasedOn' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900008
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (EDDBasis)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.15') or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-149416-761274-447393-802936">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.4-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.4-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(EDDBasis): de waarde van @code MOET worden gekozen uit waardenlijst EDDBasis (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900008-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(EDDBasis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst EDDBasis (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900712
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (EDD_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-663815-654755-343887-756862">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900712-2012-08-07T000000.html"
              test="string(@typeCode)='PERT'">(EDD_3): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900009
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (ActualEDD)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900009
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (ActualEDD)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900009
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (ActualEDD)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-951224-300554-126069-218981">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900009-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(ActualEDD): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900009-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(ActualEDD): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900009-2011-01-28T000000.html"
              test="count(hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(ActualEDD): element hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900009-2011-01-28T000000.html"
              test="count(hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(ActualEDD): element hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900009-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(ActualEDD): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900009-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(ActualEDD): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900009
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (ActualEDD)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-858349-698403-968398-155532">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900009-2011-01-28T000000.html"
              test="@nullFlavor or (@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(ActualEDD): de elementwaarde MOET zijn code 'ActualEDD' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900009
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (ActualEDD)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-941525-994452-516886-959178">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-523977-328802-210879-817078">
      <extends rule="tmp-r-850851-457584-640560-814927"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900010
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (LVR1AdminNr)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900010
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (LVR1AdminNr)
-->
<rule id="tmp-r-850851-457584-640560-814927" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="count(hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&gt;=1 and not(hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]/@nullFlavor)">(LVR1AdminNr): element hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="count(hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]])&lt;=1">(LVR1AdminNr): element hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900010
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:act
Item: (LVR1AdminNr)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:act"
         id="tmp-r-230420-497066-819663-793548">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="string(@classCode)='COND'">(LVR1AdminNr): de waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="string(@moodCode)='EVN'">(LVR1AdminNr): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(LVR1AdminNr): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="count(hl7:id)&lt;=1">(LVR1AdminNr): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="count(hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(LVR1AdminNr): element hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="count(hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(LVR1AdminNr): element hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900010
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:act/hl7:id
Item: (LVR1AdminNr)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:act/hl7:id"
         id="tmp-r-784676-582286-352051-171694">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900010
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:act/hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (LVR1AdminNr)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:act/hl7:code[(@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-503091-111967-738882-499117">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900010-2012-02-09T000000.html"
              test="@nullFlavor or (@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(LVR1AdminNr): de elementwaarde MOET zijn code 'LVR1AdmNr' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-778914-695442-793154-444722">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Subfertiliteitsbehandeling_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Subfertiliteitsbehandeling_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Subfertiliteitsbehandeling_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-304291-972704-928076-720591">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="string(@classCode)='OBS'">(Subfertiliteitsbehandeling_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Subfertiliteitsbehandeling_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="hl7:value/@value='false' or hl7:value/@nullFlavor or count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001'][@codeSystem='2.16.840.1.113883.6.96']]])&gt;0">(Subfertiliteitsbehandeling_3): Ovulatie-inductie toegepast: required if Subfertiliteitsbehandeling value = true</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="hl7:value/@value='false' or hl7:value/@nullFlavor or count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001'][@codeSystem='2.16.840.1.113883.6.96']]])&gt;0">(Subfertiliteitsbehandeling_3): Geassisteerde conceptie: required if Subfertiliteitsbehandeling value = true</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="hl7:value/@value='false' or hl7:value/@nullFlavor or count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009'][@codeSystem='2.16.840.1.113883.6.96']]])&gt;0">(Subfertiliteitsbehandeling_3): Eiceldonatie toegepast: required if Subfertiliteitsbehandeling value = true</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="count(hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Subfertiliteitsbehandeling_3): element hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="count(hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Subfertiliteitsbehandeling_3): element hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="count(hl7:value)&gt;=1 ">(Subfertiliteitsbehandeling_3): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(Subfertiliteitsbehandeling_3): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">(Subfertiliteitsbehandeling_3): element hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Subfertiliteitsbehandeling_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-793447-324251-779720-397031">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="@nullFlavor or (@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Subfertiliteitsbehandeling_3): de elementwaarde MOET zijn code 'PRN3206' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value
Item: (Subfertiliteitsbehandeling_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-725855-820204-595571-415218">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Subfertiliteitsbehandeling_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-891453-209837-761136-309749">
      <extends rule="tmp-r-988015-681433-324874-567653"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="string(@typeCode)='PERT'">(Subfertiliteitsbehandeling_3): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900174
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Ovulatieinductietoegepast)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900174
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Ovulatieinductietoegepast)
-->
<rule id="tmp-r-988015-681433-324874-567653" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1 and not(hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]/@nullFlavor)">(Ovulatieinductietoegepast): element hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(Ovulatieinductietoegepast): element hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900174
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Ovulatieinductietoegepast)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure"
         id="tmp-r-161498-987374-253358-265030">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="string(@classCode)='PROC'">(Ovulatieinductietoegepast): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Ovulatieinductietoegepast): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="count(hl7:id)&gt;=1 ">(Ovulatieinductietoegepast): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Ovulatieinductietoegepast): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="count(hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Ovulatieinductietoegepast): element hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="count(hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Ovulatieinductietoegepast): element hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900174
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id
Item: (Ovulatieinductietoegepast)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id"
         id="tmp-r-547338-352787-405810-339631">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="string(@nullFlavor)='NI'">(Ovulatieinductietoegepast): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900174
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Ovulatieinductietoegepast)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-889312-128832-806539-411137">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900174-2011-01-28T000000.html"
              test="@nullFlavor or (@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')">(Ovulatieinductietoegepast): de elementwaarde MOET zijn code '61285001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Subfertiliteitsbehandeling_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-764908-499200-712079-961346">
      <extends rule="tmp-r-175145-870478-762991-557296"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="string(@typeCode)='PERT'">(Subfertiliteitsbehandeling_3): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900175
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Geassisteerdeconceptie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900175
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Geassisteerdeconceptie)
-->
<rule id="tmp-r-175145-870478-762991-557296" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1 and not(hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]/@nullFlavor)">(Geassisteerdeconceptie): element hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(Geassisteerdeconceptie): element hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900175
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Geassisteerdeconceptie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure"
         id="tmp-r-144410-934194-693643-585541">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="string(@classCode)='PROC'">(Geassisteerdeconceptie): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Geassisteerdeconceptie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="../hl7:procedure[string(@negationInd)='true'] or hl7:methodCode">(Geassisteerdeconceptie): If Geassisteerdeconceptie=true (negationInd=false) an hl7:methodCode shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="count(hl7:id)&gt;=1 ">(Geassisteerdeconceptie): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Geassisteerdeconceptie): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="count(hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Geassisteerdeconceptie): element hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="count(hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Geassisteerdeconceptie): element hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="count(hl7:methodCode)&lt;=1">(Geassisteerdeconceptie): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900175
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id
Item: (Geassisteerdeconceptie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id"
         id="tmp-r-457236-804045-658538-934767">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="string(@nullFlavor)='NI'">(Geassisteerdeconceptie): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900175
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Geassisteerdeconceptie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-851771-781561-183366-951387">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="@nullFlavor or (@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')">(Geassisteerdeconceptie): de elementwaarde MOET zijn code '63487001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900175
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:methodCode
Item: (Geassisteerdeconceptie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:methodCode"
         id="tmp-r-318606-428236-871036-377901">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.67-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.67-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Geassisteerdeconceptie): de waarde van @code MOET worden gekozen uit waardenlijst GeassConceptie (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900175-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Geassisteerdeconceptie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst GeassConceptie (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900713
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Subfertiliteitsbehandeling_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-199480-267369-913909-462166">
      <extends rule="tmp-r-712854-133744-962554-687376"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900713-2012-04-22T000000.html"
              test="string(@typeCode)='PERT'">(Subfertiliteitsbehandeling_3): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900180
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Eiceldonatietoegepast)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900180
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Eiceldonatietoegepast)
-->
<rule id="tmp-r-712854-133744-962554-687376" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1 and not(hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]/@nullFlavor)">(Eiceldonatietoegepast): element hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(Eiceldonatietoegepast): element hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900180
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Eiceldonatietoegepast)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure"
         id="tmp-r-805656-698192-514044-729565">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="string(@classCode)='PROC'">(Eiceldonatietoegepast): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Eiceldonatietoegepast): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="count(hl7:id)&gt;=1 ">(Eiceldonatietoegepast): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Eiceldonatietoegepast): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="count(hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Eiceldonatietoegepast): element hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="count(hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Eiceldonatietoegepast): element hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="count(hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">(Eiceldonatietoegepast): element hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900180
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id
Item: (Eiceldonatietoegepast)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id"
         id="tmp-r-562733-298843-248682-843929">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="string(@nullFlavor)='NI'">(Eiceldonatietoegepast): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900180
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Eiceldonatietoegepast)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-793957-172294-365324-638768">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="@nullFlavor or (@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')">(Eiceldonatietoegepast): de elementwaarde MOET zijn code '176843009' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900180
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Eiceldonatietoegepast)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-174810-307329-464406-130690">
      <extends rule="tmp-r-523621-484710-874061-154376"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900180-2011-01-28T000000.html"
              test="string(@typeCode)='PERT'">(Eiceldonatietoegepast): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Geboortedatumeiceldonatrice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Geboortedatumeiceldonatrice)
-->
<rule id="tmp-r-523621-484710-874061-154376" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(Geboortedatumeiceldonatrice): element hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure"
         id="tmp-r-593055-866827-751180-469412">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="string(@classCode)='PROC'">(Geboortedatumeiceldonatrice): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Geboortedatumeiceldonatrice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:id)&gt;=1 ">(Geboortedatumeiceldonatrice): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Geboortedatumeiceldonatrice): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Geboortedatumeiceldonatrice): element hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Geboortedatumeiceldonatrice): element hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(Geboortedatumeiceldonatrice): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:subject)&lt;=1">(Geboortedatumeiceldonatrice): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id"
         id="tmp-r-498014-144200-780526-862987">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="string(@nullFlavor)='NA'">(Geboortedatumeiceldonatrice): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-589245-504466-902513-249463">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="@nullFlavor or (@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')">(Geboortedatumeiceldonatrice): de elementwaarde MOET zijn code '177037000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject"
         id="tmp-r-745884-464212-145970-614040">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="string(@typeCode)='SBJ'">(Geboortedatumeiceldonatrice): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(Geboortedatumeiceldonatrice): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:patient)&lt;=1">(Geboortedatumeiceldonatrice): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient"
         id="tmp-r-577645-485279-449511-282769">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:id)&gt;=1 ">(Geboortedatumeiceldonatrice): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Geboortedatumeiceldonatrice): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(Geboortedatumeiceldonatrice): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(Geboortedatumeiceldonatrice): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:Person)&gt;=1 and not(hl7:Person/@nullFlavor)">(Geboortedatumeiceldonatrice): element hl7:Person is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:Person)&lt;=1">(Geboortedatumeiceldonatrice): element hl7:Person komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:id
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:id"
         id="tmp-r-628702-478891-277896-401763">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="string(@nullFlavor)='NA'">(Geboortedatumeiceldonatrice): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:statusCode[@code='completed']
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:statusCode[@code='completed']"
         id="tmp-r-327612-591516-642622-962781">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="@nullFlavor or (@code='completed')">(Geboortedatumeiceldonatrice): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person"
         id="tmp-r-381428-233591-884697-724680">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(Geboortedatumeiceldonatrice): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900183-2011-01-28T000000.html"
              test="count(hl7:birthTime)&lt;=1">(Geboortedatumeiceldonatrice): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900183
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person/hl7:birthTime
Item: (Geboortedatumeiceldonatrice)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[(@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person/hl7:birthTime"
         id="tmp-r-963459-131685-554235-880864">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-881637-138898-566177-787423">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900084
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Amnioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900084
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Amnioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900084
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Amnioniciteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-637438-567612-563106-207028">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Amnioniciteit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Amnioniciteit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Amnioniciteit): element hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Amnioniciteit): element hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or @nullFlavor='NI'])&gt;=1 ">(Amnioniciteit): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or @nullFlavor='NI'])&lt;=1">(Amnioniciteit): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900084
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Amnioniciteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-161366-451395-713233-526475">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="@nullFlavor or (@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Amnioniciteit): de elementwaarde MOET zijn code 'Amnionic' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900084
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or @nullFlavor='NI']
Item: (Amnioniciteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.29') or @nullFlavor='NI']"
         id="tmp-r-146071-500893-847723-956706">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.8-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.8-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Amnioniciteit): de waarde van @code MOET worden gekozen uit waardenlijst Amnioniciteit (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900084-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Amnioniciteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Amnioniciteit (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-512551-353094-877978-788518">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Chorioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Chorioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Chorioniciteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-891306-893654-371561-303930">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Chorioniciteit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Chorioniciteit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Chorioniciteit): element hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Chorioniciteit): element hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or @nullFlavor='NI'])&gt;=1 ">(Chorioniciteit): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or @nullFlavor='NI'])&lt;=1">(Chorioniciteit): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Chorioniciteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-494506-558959-569099-811367">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="@nullFlavor or (@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Chorioniciteit): de elementwaarde MOET zijn code 'Chorionic' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or @nullFlavor='NI']
Item: (Chorioniciteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.30') or @nullFlavor='NI']"
         id="tmp-r-388239-944808-574223-463334">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.9-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Chorioniciteit): de waarde van @code MOET worden gekozen uit waardenlijst Chorioniciteit (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Chorioniciteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Chorioniciteit (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-515231-768996-633653-404191">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900090
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Pariteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900090
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Pariteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900090
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Pariteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-461088-285693-459641-566217">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Pariteit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Pariteit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Pariteit): element hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Pariteit): element hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pariteit): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Pariteit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900090
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Pariteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-988286-911921-879577-108887">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="@nullFlavor or (@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Pariteit): de elementwaarde MOET zijn code 'Parturit' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900090
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Pariteit)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-177532-657839-581271-920328">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900090-2009-10-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=30))">(Pariteit): value MOET in bereik [0..30] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-671529-544116-638239-591124">
      <extends rule="tmp-r-972934-452967-828536-111435"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900196
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Gewichtvoordezwangerschap)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900196
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Gewichtvoordezwangerschap)
-->
<rule id="tmp-r-972934-452967-828536-111435" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="count(hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]])&gt;=1 ">(Gewichtvoordezwangerschap): element hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="count(hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]])&lt;=1">(Gewichtvoordezwangerschap): element hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900196
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Gewichtvoordezwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-494989-135311-160173-692982">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Gewichtvoordezwangerschap): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Gewichtvoordezwangerschap): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="count(hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gewichtvoordezwangerschap): element hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="count(hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gewichtvoordezwangerschap): element hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gewichtvoordezwangerschap): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Gewichtvoordezwangerschap): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900196
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gewichtvoordezwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-516800-355042-861198-714534">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="@nullFlavor or (@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')">(Gewichtvoordezwangerschap): de elementwaarde MOET zijn code '56077-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900196
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value
Item: (Gewichtvoordezwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-253184-468039-742394-916567">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900196-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='kg' and number($theValue)&gt;=25 and number($theValue)&lt;=249.9))">(Gewichtvoordezwangerschap): value MOET eenheid 'kg' gebruiken en in bereik [25..249.9] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-623607-774234-150328-362072">
      <extends rule="tmp-r-657497-467361-184152-274594"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900092
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Hoogstediastolischetensie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900092
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Hoogstediastolischetensie)
-->
<rule id="tmp-r-657497-467361-184152-274594" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]])&gt;=1 ">(Hoogstediastolischetensie): element hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]])&lt;=1">(Hoogstediastolischetensie): element hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900092
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Hoogstediastolischetensie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-564750-922932-655678-803399">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Hoogstediastolischetensie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Hoogstediastolischetensie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Hoogstediastolischetensie): element hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Hoogstediastolischetensie): element hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Hoogstediastolischetensie): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Hoogstediastolischetensie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900092
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Hoogstediastolischetensie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-748858-652818-337018-568660">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="@nullFlavor or (@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')">(Hoogstediastolischetensie): de elementwaarde MOET zijn code 'X_IVDIASTPREG' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900092
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value
Item: (Hoogstediastolischetensie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-952940-530188-784390-169730">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:high)&gt;=1 ">(Hoogstediastolischetensie): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="count(hl7:high)&lt;=1">(Hoogstediastolischetensie): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900092
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value/hl7:high
Item: (Hoogstediastolischetensie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value/hl7:high"
         id="tmp-r-607943-745134-773536-157638">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900092-2009-10-01T000000.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=10))">(Hoogstediastolischetensie): value MOET eenheid 'mm[Hg]' gebruiken en in bereik [10..] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-301563-325151-623047-731129">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900714
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Proteinurie_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900714
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Proteinurie_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900714
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Proteinurie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-596440-471089-672516-598493">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="string(@classCode)='OBS'">(Proteinurie_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Proteinurie_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="count(hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Proteinurie_3): element hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="count(hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Proteinurie_3): element hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="count(hl7:value)&gt;=1 ">(Proteinurie_3): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(Proteinurie_3): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Proteinurie_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Proteinurie_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900714
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Proteinurie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-611927-658520-125762-563445">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="@nullFlavor or (@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Proteinurie_3): de elementwaarde MOET zijn code 'PRN420204-bl' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900714
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value
Item: (Proteinurie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-922500-112043-978276-236374">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900714
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Proteinurie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-155427-915507-918403-866806">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="string(@typeCode)='SPRT'">(Proteinurie_3): de waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900097
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Maxaantalmgproteine24uurs)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900097
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Maxaantalmgproteine24uurs)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900097
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Maxaantalmgproteine24uurs)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-369616-418151-226937-318820">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="string(@classCode)='OBS'">(Maxaantalmgproteine24uurs): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="string(@moodCode)='EVN'">(Maxaantalmgproteine24uurs): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="count(hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Maxaantalmgproteine24uurs): element hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="count(hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Maxaantalmgproteine24uurs): element hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="count(hl7:value)&gt;=1 ">(Maxaantalmgproteine24uurs): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="count(hl7:value)&lt;=1">(Maxaantalmgproteine24uurs): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900097
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Maxaantalmgproteine24uurs)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-998094-220830-576279-343653">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="@nullFlavor or (@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')">(Maxaantalmgproteine24uurs): de elementwaarde MOET zijn code '2889-4' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900097
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value
Item: (Maxaantalmgproteine24uurs)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-340014-925617-893536-125002">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="count(hl7:high)&gt;=1 ">(Maxaantalmgproteine24uurs): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="count(hl7:high)&lt;=1">(Maxaantalmgproteine24uurs): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900097
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value/hl7:high
Item: (Maxaantalmgproteine24uurs)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value/hl7:high"
         id="tmp-r-100889-872076-227615-880572">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900097-2012-08-08T000000.html"
              test="(@nullFlavor or (@unit='mg/24.h' and (matches(string($theValue), '^[-+]?[0-9]*$'))))">(Maxaantalmgproteine24uurs): value MOET eenheid 'mg/24.h' gebruiken en tot op minstens 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900714
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Proteinurie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-627917-378460-891126-702826">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900714-2012-04-22T000000.html"
              test="string(@typeCode)='SPRT'">(Proteinurie_3): de waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900203
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Maxproteineinurineobvstrips)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900203
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Maxproteineinurineobvstrips)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900203
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Maxproteineinurineobvstrips)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-761483-136853-423358-220850">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Maxproteineinurineobvstrips): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Maxproteineinurineobvstrips): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="count(hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Maxproteineinurineobvstrips): element hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="count(hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Maxproteineinurineobvstrips): element hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="count(hl7:value[(@code='HHHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='POS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='TRC' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='NEG' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or @nullFlavor='NI'])&gt;=1 ">(Maxproteineinurineobvstrips): element hl7:value[(@code='HHHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='POS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='TRC' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='NEG' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="count(hl7:value[(@code='HHHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='POS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='TRC' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='NEG' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or @nullFlavor='NI'])&lt;=1">(Maxproteineinurineobvstrips): element hl7:value[(@code='HHHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='POS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='TRC' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='NEG' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900203
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Maxproteineinurineobvstrips)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-905141-521068-966280-800510">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="@nullFlavor or (@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')">(Maxproteineinurineobvstrips): de elementwaarde MOET zijn code '20454-5' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900203
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='HHHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='POS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='TRC' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='NEG' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or @nullFlavor='NI']
Item: (Maxproteineinurineobvstrips)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='HHHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HHPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='HPOS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='POS' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='TRC' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or (@code='NEG' and @codeSystem='2.16.840.1.113883.2.4.4.13.41') or @nullFlavor='NI']"
         id="tmp-r-733948-649866-517494-616215">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.89-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.89-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Maxproteineinurineobvstrips): de waarde van @code MOET worden gekozen uit waardenlijst ProteineTestStripResult (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900203-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Maxproteineinurineobvstrips): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ProteineTestStripResult (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]"
         id="tmp-r-810686-862838-336111-976154">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900604
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Voorgenomenplaatsbaringtijdenszwangerschap)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900604
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Voorgenomenplaatsbaringtijdenszwangerschap)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900604
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Voorgenomenplaatsbaringtijdenszwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure"
         id="tmp-r-989214-434422-996475-883515">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="string(@classCode)='PROC'">(Voorgenomenplaatsbaringtijdenszwangerschap): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="string(@moodCode)='INT'">(Voorgenomenplaatsbaringtijdenszwangerschap): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="count(hl7:id)&gt;=1 ">(Voorgenomenplaatsbaringtijdenszwangerschap): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Voorgenomenplaatsbaringtijdenszwangerschap): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="count(hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&gt;=1 and not(hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]/@nullFlavor)">(Voorgenomenplaatsbaringtijdenszwangerschap): element hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="count(hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&lt;=1">(Voorgenomenplaatsbaringtijdenszwangerschap): element hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="count(hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]])&gt;=1 and not(hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/@nullFlavor)">(Voorgenomenplaatsbaringtijdenszwangerschap): element hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="count(hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]])&lt;=1">(Voorgenomenplaatsbaringtijdenszwangerschap): element hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900604
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id
Item: (Voorgenomenplaatsbaringtijdenszwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id"
         id="tmp-r-886899-897573-461394-185266">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900604
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]
Item: (Voorgenomenplaatsbaringtijdenszwangerschap)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]"
         id="tmp-r-188181-451714-967058-879740">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900604-2011-01-28T000000.html"
              test="@nullFlavor or (@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">(Voorgenomenplaatsbaringtijdenszwangerschap): de elementwaarde MOET zijn code 'PRN4209' codeSystem '2.16.840.1.113883.2.4.3.22.1.3'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Faciliteittoekomstplaatsbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]
Item: (Faciliteittoekomstplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]"
         id="tmp-r-870783-533741-813394-716918">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="string(@typeCode)='ELOC'">(Faciliteittoekomstplaatsbaring): de waarde van @typeCode MOET 'ELOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']])&gt;=1 and not(hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]/@nullFlavor)">(Faciliteittoekomstplaatsbaring): element hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']])&lt;=1">(Faciliteittoekomstplaatsbaring): element hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility
Item: (Faciliteittoekomstplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility"
         id="tmp-r-318276-396873-249338-120558">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="string(@classCode)='DSDLOC'">(Faciliteittoekomstplaatsbaring): de waarde van @classCode MOET 'DSDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'])&gt;=1 ">(Faciliteittoekomstplaatsbaring): element hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'])&lt;=1">(Faciliteittoekomstplaatsbaring): element hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility/hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']
Item: (Faciliteittoekomstplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[(@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility/hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']"
         id="tmp-r-133262-527894-223472-358775">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.105-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.105-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Faciliteittoekomstplaatsbaring): de waarde van @code MOET worden gekozen uit waardenlijst ToekomstPlaatsBaring (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Faciliteittoekomstplaatsbaring): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ToekomstPlaatsBaring (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-806836-313381-511911-452412">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='PERT'">(albprn-1el-20): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900109
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent
Item: (Kraamzorgaangevraagd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900109
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Kraamzorgaangevraagd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900109
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Kraamzorgaangevraagd)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-766671-942195-148039-351333">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900109-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Kraamzorgaangevraagd): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900109-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Kraamzorgaangevraagd): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900109-2009-10-01T000000.html"
              test="count(hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Kraamzorgaangevraagd): element hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900109-2009-10-01T000000.html"
              test="count(hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Kraamzorgaangevraagd): element hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900109-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Kraamzorgaangevraagd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900109-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Kraamzorgaangevraagd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900109
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Kraamzorgaangevraagd)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-629949-746413-502173-817934">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900109-2009-10-01T000000.html"
              test="@nullFlavor or (@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Kraamzorgaangevraagd): de elementwaarde MOET zijn code 'KraamZorg' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900109
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Kraamzorgaangevraagd)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[(@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-110596-458506-284905-734658">
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]"
         id="tmp-r-307909-903746-853847-315123">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1 ">(albprn-1el-20): element hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(albprn-1el-20): element hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]"
         id="tmp-r-688160-820770-393364-170547">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@classCode)='CONTAINER'">(albprn-1el-20): de waarde van @classCode MOET 'CONTAINER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@moodCode)='EVN'">(albprn-1el-20): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(albprn-1el-20): element hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(albprn-1el-20): element hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/@nullFlavor)">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 ">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(albprn-1el-20): element hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="count(hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]])&lt;=9">(albprn-1el-20): element hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]] komt te vaak voor [max 9x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code
Item: (albprn-1el-20)
-->

<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code"
         id="tmp-r-931842-809824-417778-736333">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="@nullFlavor or (@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')">(albprn-1el-20): de elementwaarde MOET zijn code '236973005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-227484-129016-680975-744808">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900358
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Aantalgeborenkinderen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900358
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Aantalgeborenkinderen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900358
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Aantalgeborenkinderen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-508943-509497-289540-175102">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Aantalgeborenkinderen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Aantalgeborenkinderen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="count(hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Aantalgeborenkinderen): element hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="count(hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Aantalgeborenkinderen): element hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Aantalgeborenkinderen): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Aantalgeborenkinderen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900358
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Aantalgeborenkinderen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-960584-212271-464791-575356">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="@nullFlavor or (@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Aantalgeborenkinderen): de elementwaarde MOET zijn code 'NBorn16' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900358
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Aantalgeborenkinderen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-946008-722062-739733-806164">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900358-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">(Aantalgeborenkinderen): value MOET in bereik [0..9] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]"
         id="tmp-r-677479-379972-301660-998520">
      <extends rule="tmp-r-803106-405517-115071-825909"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900602
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Gewensteplaatsbaringvoorstartbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900602
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Gewensteplaatsbaringvoorstartbaring)
-->
<rule id="tmp-r-803106-405517-115071-825909" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]])&gt;=1 ">(Gewensteplaatsbaringvoorstartbaring): element hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]])&lt;=1">(Gewensteplaatsbaringvoorstartbaring): element hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900602
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Gewensteplaatsbaringvoorstartbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure"
         id="tmp-r-845970-508853-646271-994653">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="string(@classCode)='PROC'">(Gewensteplaatsbaringvoorstartbaring): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="string(@moodCode)='INT'">(Gewensteplaatsbaringvoorstartbaring): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:id)&gt;=1 ">(Gewensteplaatsbaringvoorstartbaring): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Gewensteplaatsbaringvoorstartbaring): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&gt;=1 and not(hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]/@nullFlavor)">(Gewensteplaatsbaringvoorstartbaring): element hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&lt;=1">(Gewensteplaatsbaringvoorstartbaring): element hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]])&gt;=1 and not(hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/@nullFlavor)">(Gewensteplaatsbaringvoorstartbaring): element hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="count(hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]])&lt;=1">(Gewensteplaatsbaringvoorstartbaring): element hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900602
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id
Item: (Gewensteplaatsbaringvoorstartbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id"
         id="tmp-r-461838-108170-448487-668775">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900602
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]
Item: (Gewensteplaatsbaringvoorstartbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]"
         id="tmp-r-177041-431833-716996-759121">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900602-2011-01-28T000000.html"
              test="@nullFlavor or (@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">(Gewensteplaatsbaringvoorstartbaring): de elementwaarde MOET zijn code 'PRN5104' codeSystem '2.16.840.1.113883.2.4.3.22.1.3'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Faciliteittoekomstplaatsbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]
Item: (Faciliteittoekomstplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]"
         id="tmp-r-213409-444477-487418-776161">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="string(@typeCode)='ELOC'">(Faciliteittoekomstplaatsbaring): de waarde van @typeCode MOET 'ELOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']])&gt;=1 and not(hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]/@nullFlavor)">(Faciliteittoekomstplaatsbaring): element hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']])&lt;=1">(Faciliteittoekomstplaatsbaring): element hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility
Item: (Faciliteittoekomstplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility"
         id="tmp-r-696185-218258-964448-849611">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="string(@classCode)='DSDLOC'">(Faciliteittoekomstplaatsbaring): de waarde van @classCode MOET 'DSDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'])&gt;=1 ">(Faciliteittoekomstplaatsbaring): element hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="count(hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'])&lt;=1">(Faciliteittoekomstplaatsbaring): element hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900211
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility/hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']
Item: (Faciliteittoekomstplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']]]/hl7:healthCareFacility/hl7:code[(@code='00' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='ASKU']"
         id="tmp-r-755945-784277-591530-168139">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.105-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.105-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Faciliteittoekomstplaatsbaring): de waarde van @code MOET worden gekozen uit waardenlijst ToekomstPlaatsBaring (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900211-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Faciliteittoekomstplaatsbaring): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ToekomstPlaatsBaring (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-463682-329360-416921-343125">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900150
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Typebevalling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900150
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Typebevalling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900150
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Typebevalling)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-262619-381458-980297-856415">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Typebevalling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Typebevalling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="count(hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 ">(Typebevalling): element hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="count(hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Typebevalling): element hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Typebevalling): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or @nullFlavor='NI'])&gt;=1 ">(Typebevalling): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or @nullFlavor='NI'])&lt;=1">(Typebevalling): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900150
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Typebevalling)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-545180-177017-605510-754080">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="@nullFlavor or (@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Typebevalling): de elementwaarde MOET zijn code 'TypeDeliv' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900150
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime
Item: (Typebevalling)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime"
         id="tmp-r-565034-991724-786463-596709">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900150
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or @nullFlavor='NI']
Item: (Typebevalling)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or @nullFlavor='NI']"
         id="tmp-r-153403-103474-834153-994262">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.10-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Typebevalling): de waarde van @code MOET worden gekozen uit waardenlijst TypeBevalling (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900150-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Typebevalling): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst TypeBevalling (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-719811-265867-331370-664181">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900156
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Risicostatusvoorbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900156
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Risicostatusvoorbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900156
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Risicostatusvoorbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-875234-313700-305657-425723">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Risicostatusvoorbaring): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Risicostatusvoorbaring): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Risicostatusvoorbaring): element hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Risicostatusvoorbaring): element hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Risicostatusvoorbaring): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Risicostatusvoorbaring): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900156
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Risicostatusvoorbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-305628-204984-793328-187029">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Risicostatusvoorbaring): de elementwaarde MOET zijn code 'PRN5102' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900156
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Risicostatusvoorbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.25') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-822479-863252-638338-921813">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.15-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Risicostatusvoorbaring): de waarde van @code MOET worden gekozen uit waardenlijst RisicoBaring (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900156-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Risicostatusvoorbaring): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst RisicoBaring (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-508895-389967-989797-677427">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900715
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Wijzewaaropdebaringbegon_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900715
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Wijzewaaropdebaringbegon_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900715
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Wijzewaaropdebaringbegon_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-734061-452120-941798-298970">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="string(@classCode)='OBS'">(Wijzewaaropdebaringbegon_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Wijzewaaropdebaringbegon_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="hl7:value/@code!='3' or hl7:value/@nullFlavor or hl7:inboundRelationship">(Wijzewaaropdebaringbegon_3): Als "Wijze waarop de baring begon" een interventie aanduidt is hl7:inboundRelationship (Interventie begin baring) verplicht</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="count(hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Wijzewaaropdebaringbegon_3): element hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="count(hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Wijzewaaropdebaringbegon_3): element hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Wijzewaaropdebaringbegon_3): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Wijzewaaropdebaringbegon_3): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900715
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Wijzewaaropdebaringbegon_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-911516-533609-990392-254863">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="@nullFlavor or (@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Wijzewaaropdebaringbegon_3): de elementwaarde MOET zijn code 'BeginDeliv' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900715
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Wijzewaaropdebaringbegon_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.46') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-669484-706885-126740-613507">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.16-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Wijzewaaropdebaringbegon_3): de waarde van @code MOET worden gekozen uit waardenlijst WijzeBaringBegin (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Wijzewaaropdebaringbegon_3): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst WijzeBaringBegin (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900715
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Wijzewaaropdebaringbegon_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]"
         id="tmp-r-675634-447936-951235-301817">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900715-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Wijzewaaropdebaringbegon_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900726
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Interventiebeginbaring_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900726
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Interventiebeginbaring_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900726
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Interventiebeginbaring_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure"
         id="tmp-r-728413-655497-179035-979405">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="string(@classCode)='PROC'">(Interventiebeginbaring_3): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Interventiebeginbaring_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 ">(Interventiebeginbaring_3): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Interventiebeginbaring_3): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="count(hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&gt;=1 and not(hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]/@nullFlavor)">(Interventiebeginbaring_3): element hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="count(hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&lt;=1">(Interventiebeginbaring_3): element hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="count(hl7:methodCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Interventiebeginbaring_3): element hl7:methodCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="count(hl7:methodCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Interventiebeginbaring_3): element hl7:methodCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&gt;=1 ">(Interventiebeginbaring_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900726
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id
Item: (Interventiebeginbaring_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id"
         id="tmp-r-247074-547468-375654-696754">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900726
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]
Item: (Interventiebeginbaring_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]"
         id="tmp-r-499197-454752-781506-342595">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="@nullFlavor or (@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">(Interventiebeginbaring_3): de elementwaarde MOET zijn code 'PRN520102' codeSystem '2.16.840.1.113883.2.4.3.22.1.3'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900726
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:methodCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Interventiebeginbaring_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:methodCode[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3.4') or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-622548-474106-419391-856272">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.17-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.17-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Interventiebeginbaring_3): de waarde van @code MOET worden gekozen uit waardenlijst InterventieBaring (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Interventiebeginbaring_3): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst InterventieBaring (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900726
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Interventiebeginbaring_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-270362-763592-443643-297968">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900726-2012-04-22T000000.html"
              test="string(@typeCode)='RSON'">(Interventiebeginbaring_3): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900705
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Indicatieinterventiebeginbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900705
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Indicatieinterventiebeginbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900705
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Indicatieinterventiebeginbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-463169-140255-122697-682717">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Indicatieinterventiebeginbaring): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Indicatieinterventiebeginbaring): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Indicatieinterventiebeginbaring): element hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Indicatieinterventiebeginbaring): element hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Indicatieinterventiebeginbaring): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Indicatieinterventiebeginbaring): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900705
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Indicatieinterventiebeginbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-475440-341013-876443-862189">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Indicatieinterventiebeginbaring): de elementwaarde MOET zijn code 'PRN520103' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900705
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Indicatieinterventiebeginbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-289564-863694-664563-499730">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.18-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Indicatieinterventiebeginbaring): de waarde van @code MOET worden gekozen uit waardenlijst MotivatieInterventie (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900705-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Indicatieinterventiebeginbaring): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst MotivatieInterventie (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]"
         id="tmp-r-227887-125428-348087-129383">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900190
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Amniotomie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900190
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Amniotomie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900190
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Amniotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure"
         id="tmp-r-111147-882422-321549-740727">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="string(@classCode)='PROC'">(Amniotomie): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Amniotomie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="string(@nullFlavor)='NI' or string(@nullFlavor)='UNK' or not(@nullFlavor)">(Amniotomie): de waarde van @nullFlavor MOET één van de volgende codes bevatten: NI', 'UNK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="../hl7:procedure/@negationInd or ../hl7:procedure/@nullFlavor">(Amniotomie): Amniotomie shall have a negationInd (true or false) unless null</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="../hl7:procedure/@negationInd='true' or ../hl7:procedure/@nullFlavor or hl7:methodCode">(Amniotomie): If Amniotomie=true (negationInd=false) an hl7:methodCode (Faseamniotomie) shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="../hl7:procedure/@negationInd='false' or ../hl7:procedure/@nullFlavor or not(hl7:methodCode)">(Amniotomie): If Amniotomie=false (negationInd=true) hl7:methodCode (Faseamniotomie) shall not be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Amniotomie): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="count(hl7:id)&lt;=1">(Amniotomie): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&gt;=1 and not(hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]/@nullFlavor)">(Amniotomie): element hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&lt;=1">(Amniotomie): element hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="count(hl7:methodCode)&lt;=1">(Amniotomie): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900190
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id
Item: (Amniotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id"
         id="tmp-r-704941-159527-820994-440317">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900190
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]
Item: (Amniotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]"
         id="tmp-r-505783-280039-496492-739326">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900190-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">(Amniotomie): de elementwaarde MOET zijn code 'PRN540101' codeSystem '2.16.840.1.113883.2.4.3.22.1.3'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900193
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Faseamniotomie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900193
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:methodCode
Item: (Faseamniotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:methodCode"
         id="tmp-r-186471-528000-816803-539481">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.19-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.19-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900193-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Faseamniotomie): de waarde van @code MOET worden gekozen uit waardenlijst AmniotomieMoment (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900193-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Faseamniotomie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AmniotomieMoment (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-170503-819653-466109-196958">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900197
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Tijdstipbeginactieveontsluiting)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900197
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Tijdstipbeginactieveontsluiting)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900197
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Tijdstipbeginactieveontsluiting)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-745201-743341-430534-876113">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900197-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Tijdstipbeginactieveontsluiting): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900197-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Tijdstipbeginactieveontsluiting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900197-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Tijdstipbeginactieveontsluiting): element hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900197-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Tijdstipbeginactieveontsluiting): element hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900197-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Tijdstipbeginactieveontsluiting): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900197-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Tijdstipbeginactieveontsluiting): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900197
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Tijdstipbeginactieveontsluiting)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-847581-719391-388602-254845">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900197-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Tijdstipbeginactieveontsluiting): de elementwaarde MOET zijn code 'PRN520301' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900197
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:effectiveTime
Item: (Tijdstipbeginactieveontsluiting)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:effectiveTime"
         id="tmp-r-419574-486452-106084-487962">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-119555-870658-607702-925312">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900198
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Tijdstipbrekenvliezen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900198
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Tijdstipbrekenvliezen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900198
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Tijdstipbrekenvliezen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-637218-160916-454657-698911">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900198-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Tijdstipbrekenvliezen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900198-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Tijdstipbrekenvliezen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900198-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Tijdstipbrekenvliezen): element hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900198-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Tijdstipbrekenvliezen): element hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900198-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Tijdstipbrekenvliezen): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900198-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Tijdstipbrekenvliezen): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900198
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Tijdstipbrekenvliezen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-254149-629945-396287-852452">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900198-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Tijdstipbrekenvliezen): de elementwaarde MOET zijn code 'PRN530101' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900198
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:effectiveTime
Item: (Tijdstipbrekenvliezen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:effectiveTime"
         id="tmp-r-757595-947238-298031-266124">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-899157-207143-313895-131837">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900199
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Kleurvruchtwater)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900199
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Kleurvruchtwater)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900199
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Kleurvruchtwater)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-869227-400041-936663-819369">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Kleurvruchtwater): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Kleurvruchtwater): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="count(hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Kleurvruchtwater): element hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="count(hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Kleurvruchtwater): element hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Kleurvruchtwater): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Kleurvruchtwater): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900199
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Kleurvruchtwater)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-306618-236837-172904-414423">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')">(Kleurvruchtwater): de elementwaarde MOET zijn code '38386-9' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900199
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Kleurvruchtwater)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.18') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-994953-103389-865633-770960">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.20-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.20-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Kleurvruchtwater): de waarde van @code MOET worden gekozen uit waardenlijst KleurVruchtwater (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900199-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Kleurvruchtwater): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst KleurVruchtwater (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-259620-130336-354392-963812">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900716
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Medicatienageboortetijdperk_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900716
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Medicatienageboortetijdperk_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900716
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Medicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-197190-119135-985526-343217">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="string(@classCode)='OBS'">(Medicatienageboortetijdperk_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Medicatienageboortetijdperk_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="hl7:value/@value='false' or hl7:value/@nullFlavor or count(hl7:inboundRelationship[@typeCode='COMP'])&gt;=1">(Medicatienageboortetijdperk_3): If Medicatie nageboortetijdperk = true, a substanceAdministration as a component shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="count(hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Medicatienageboortetijdperk_3): element hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="count(hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Medicatienageboortetijdperk_3): element hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="count(hl7:value)&gt;=1 ">(Medicatienageboortetijdperk_3): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(Medicatienageboortetijdperk_3): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900716
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Medicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-439274-268826-386045-104956">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="@nullFlavor or (@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Medicatienageboortetijdperk_3): de elementwaarde MOET zijn code 'Medic3stage' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900716
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Medicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-488089-612262-573288-251362">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900716
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship
Item: (Medicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship"
         id="tmp-r-517329-328604-403658-842109">
      <extends rule="tmp-r-417640-372766-359343-717746"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900716-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Medicatienageboortetijdperk_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900525
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Soortmedicatienageboortetijdperk_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900525
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship
Item: (Soortmedicatienageboortetijdperk_3)
-->
<rule id="tmp-r-417640-372766-359343-717746" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(Soortmedicatienageboortetijdperk_3): element hl7:substanceAdministration is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:substanceAdministration)&lt;=1">(Soortmedicatienageboortetijdperk_3): element hl7:substanceAdministration komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900525
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration
Item: (Soortmedicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration"
         id="tmp-r-509433-489186-462028-555492">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="string(@classCode)='SBADM'">(Soortmedicatienageboortetijdperk_3): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="string(@moodCode)='EVN'">(Soortmedicatienageboortetijdperk_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(Soortmedicatienageboortetijdperk_3): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:consumable)&lt;=1">(Soortmedicatienageboortetijdperk_3): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900525
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable
Item: (Soortmedicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-r-457910-826653-599184-875172">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="string(@typeCode)='CSM'">(Soortmedicatienageboortetijdperk_3): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]])&gt;=1 and not(hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/@nullFlavor)">(Soortmedicatienageboortetijdperk_3): element hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]])&lt;=1">(Soortmedicatienageboortetijdperk_3): element hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900525
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]
Item: (Soortmedicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]"
         id="tmp-r-198881-552058-367147-835315">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="string(@classCode)='MANU'">(Soortmedicatienageboortetijdperk_3): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']])&gt;=1 and not(hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]/@nullFlavor)">(Soortmedicatienageboortetijdperk_3): element hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']])&lt;=1">(Soortmedicatienageboortetijdperk_3): element hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900525
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:manufacturedProduct
Item: (Soortmedicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:manufacturedProduct"
         id="tmp-r-243901-676249-448570-662259">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="string(@classCode)='MMAT'">(Soortmedicatienageboortetijdperk_3): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="string(@determinerCode)='KIND'">(Soortmedicatienageboortetijdperk_3): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Soortmedicatienageboortetijdperk_3): element hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Soortmedicatienageboortetijdperk_3): element hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900525
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:manufacturedProduct/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Soortmedicatienageboortetijdperk_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedProduct[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:manufacturedProduct/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-560629-754031-171954-729609">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.21-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.21-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Soortmedicatienageboortetijdperk_3): de waarde van @code MOET worden gekozen uit waardenlijst SoortMedNageboorte (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900525-2012-12-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Soortmedicatienageboortetijdperk_3): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst SoortMedNageboorte (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-417006-276319-692658-870505">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900214
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Geboorteplacenta)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900214
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Geboorteplacenta)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900214
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Geboorteplacenta)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-494424-852807-436221-428914">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Geboorteplacenta): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Geboorteplacenta): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="count(hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Geboorteplacenta): element hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="count(hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Geboorteplacenta): element hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="count(hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Geboorteplacenta): element hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="count(hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Geboorteplacenta): element hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900214
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Geboorteplacenta)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-781504-147512-429716-250384">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="@nullFlavor or (@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Geboorteplacenta): de elementwaarde MOET zijn code 'AfterBirthMethod' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900214
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Geboorteplacenta)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.19') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-299089-686635-171579-668940">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.22-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.22-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Geboorteplacenta): de waarde van @code MOET worden gekozen uit waardenlijst GeboortePlacenta (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900214-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Geboorteplacenta): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst GeboortePlacenta (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-195992-623387-792824-708908">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900222
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Hoeveelheidbloedverlies)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900222
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Hoeveelheidbloedverlies)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900222
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Hoeveelheidbloedverlies)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-606999-779351-943835-842879">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Hoeveelheidbloedverlies): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Hoeveelheidbloedverlies): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Hoeveelheidbloedverlies): element hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Hoeveelheidbloedverlies): element hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Hoeveelheidbloedverlies): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Hoeveelheidbloedverlies): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900222
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Hoeveelheidbloedverlies)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-325062-161771-194273-324026">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Hoeveelheidbloedverlies): de elementwaarde MOET zijn code 'PRN5703' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900222
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value
Item: (Hoeveelheidbloedverlies)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-920324-936424-806662-174130">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900222-2009-10-01T000000.html"
              test="(@nullFlavor or (@unit='ml'))">(Hoeveelheidbloedverlies): value MOET eenheid 'ml' gebruiken </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-229987-802589-807452-652690">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='true'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900224
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Partusassistentiedoorkraamzorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900224
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Partusassistentiedoorkraamzorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900224
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Partusassistentiedoorkraamzorg)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-208676-658957-370040-765833">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Partusassistentiedoorkraamzorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Partusassistentiedoorkraamzorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Partusassistentiedoorkraamzorg): element hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Partusassistentiedoorkraamzorg): element hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="count(hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or @nullFlavor='UNK'])&gt;=1 ">(Partusassistentiedoorkraamzorg): element hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or @nullFlavor='UNK'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="count(hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or @nullFlavor='UNK'])&lt;=1">(Partusassistentiedoorkraamzorg): element hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or @nullFlavor='UNK'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900224
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Partusassistentiedoorkraamzorg)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-182757-667585-737105-338119">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Partusassistentiedoorkraamzorg): de elementwaarde MOET zijn code 'PRN550403' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900224
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or @nullFlavor='UNK']
Item: (Partusassistentiedoorkraamzorg)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:observation[hl7:code[(@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.98') or @nullFlavor='UNK']"
         id="tmp-r-151196-278953-668115-241384">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Partusassistentiedoorkraamzorg): de waarde van @code MOET worden gekozen uit waardenlijst PartusassKraamzorg (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900224-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Partusassistentiedoorkraamzorg): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst PartusassKraamzorg (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (albprn-1el-20)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]"
         id="tmp-r-943504-706859-362232-540558">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@typeCode)='COMP'">(albprn-1el-20): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.70-2012-05-31T000000.html"
              test="string(@contextConductionInd)='false'">(albprn-1el-20): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (Uitkomstperkind_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Uitkomstperkind_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure"
         id="tmp-r-940030-119048-324333-376060">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@classCode)='PROC'">(Uitkomstperkind_3): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Uitkomstperkind_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="not(hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd/@value='true') or hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201'][@codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]">(Uitkomstperkind_3):  If deceasedInd=true, Fase perinatale sterfte is mandatory</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 ">(Uitkomstperkind_3): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Uitkomstperkind_3): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&gt;=1 and not(hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]/@nullFlavor)">(Uitkomstperkind_3): element hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&lt;=1">(Uitkomstperkind_3): element hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]])&gt;=1 and not(hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]])&lt;=1">(Uitkomstperkind_3): element hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]])&gt;=1 and not(hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]])&lt;=1">(Uitkomstperkind_3): element hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]])&gt;=1 and not(hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]])&lt;=1">(Uitkomstperkind_3): element hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/@nullFlavor)">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">(Uitkomstperkind_3): element hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id"
         id="tmp-r-870428-130352-713836-259933">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]"
         id="tmp-r-812480-840520-733664-515941">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="@nullFlavor or (@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">(Uitkomstperkind_3): de elementwaarde MOET zijn code 'Baring' codeSystem '2.16.840.1.113883.2.4.3.22.1.3'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Uitkomstperkindsubject)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]"
         id="tmp-r-382517-972279-528741-746130">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="string(@typeCode)='SBJ'">(Uitkomstperkindsubject): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]])&gt;=1 and not(hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]/@nullFlavor)">(Uitkomstperkindsubject): element hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]])&lt;=1">(Uitkomstperkindsubject): element hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship"
         id="tmp-r-760951-277320-678172-576060">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="string(@classCode)='PRS'">(Uitkomstperkindsubject): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')])&gt;=1 and not(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]/@nullFlavor)">(Uitkomstperkindsubject): element hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')])&lt;=1">(Uitkomstperkindsubject): element hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">(Uitkomstperkindsubject): element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(Uitkomstperkindsubject): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]"
         id="tmp-r-616523-536412-692923-566253">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">(Uitkomstperkindsubject): de elementwaarde MOET zijn code 'CHILD' codeSystem '2.16.840.1.113883.5.111'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-r-434092-595614-327936-890877">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="string(@classCode)='PSN'">(Uitkomstperkindsubject): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="string(@determinerCode)='INSTANCE'">(Uitkomstperkindsubject): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:id)&gt;0">(Uitkomstperkindsubject): Identification child requires at least a local id and optional in addition a BSN / PRN-Id</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="not(hl7:deceasedInd[string(@value)='true']) or hl7:deceasedTime">(Uitkomstperkindsubject): Datum perinatale sterfte: if deceasedInd=true an element deceasedTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="not(hl7:multipleBirthInd[string(@value)='true']) or string-length(hl7:multipleBirthOrderNumber/@value)&gt;0">(Uitkomstperkindsubject): Rangnummer (HL7): if multipleBirthInd=true an element multipleBirthOrderNumber shall be present and valued</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Uitkomstperkindsubject): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:name)&lt;=2">(Uitkomstperkindsubject): element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'])&gt;=1 and not(hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK']/@nullFlavor)">(Uitkomstperkindsubject): element hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'])&lt;=1">(Uitkomstperkindsubject): element hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(Uitkomstperkindsubject): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:birthTime)&lt;=1">(Uitkomstperkindsubject): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:deceasedInd)&gt;=1 and not(hl7:deceasedInd/@nullFlavor)">(Uitkomstperkindsubject): element hl7:deceasedInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:deceasedInd)&lt;=1">(Uitkomstperkindsubject): element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:multipleBirthInd)&gt;=1 and not(hl7:multipleBirthInd/@nullFlavor)">(Uitkomstperkindsubject): element hl7:multipleBirthInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(Uitkomstperkindsubject): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(Uitkomstperkindsubject): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:addr)&lt;=1">(Uitkomstperkindsubject): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:id
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:id"
         id="tmp-r-238891-605011-166496-813352">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:name
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:name"
         id="tmp-r-819774-997919-671732-142453">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900251
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder
Item: (Geslachtadministratief)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900251
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode
Item: (Geslachtadministratief)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode"
         id="tmp-r-382074-928903-395631-600133">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.128-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.128-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900251-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Geslachtadministratief): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900251-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Geslachtadministratief): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900259
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder
Item: (GeboortedatumKind)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900259
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime
Item: (GeboortedatumKind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-r-794109-135705-397872-869201">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900432
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder
Item: (Perinatalesterfte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900432
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd
Item: (Perinatalesterfte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd"
         id="tmp-r-806262-304332-104232-774818">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900443
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder
Item: (Datumperinatalesterfte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900443
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime
Item: (Datumperinatalesterfte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime"
         id="tmp-r-974981-825996-995993-463189">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthInd
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthInd"
         id="tmp-r-325492-215883-990117-652698">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthOrderNumber
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthOrderNumber"
         id="tmp-r-421861-683251-380739-851265">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:addr
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:addr"
         id="tmp-r-385714-767201-515937-654366">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(Uitkomstperkindsubject): element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:postalCode)&lt;=1">(Uitkomstperkindsubject): element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:addr/hl7:postalCode
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:addr/hl7:postalCode"
         id="tmp-r-619925-156795-133700-788969">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs"
         id="tmp-r-498422-365726-960471-415381">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="string(@classCode)='IDENT'">(Uitkomstperkindsubject): de waarde van @classCode MOET 'IDENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Uitkomstperkindsubject): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900717-2012-08-29T000000.html"
              test="count(hl7:id)&lt;=1">(Uitkomstperkindsubject): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900717
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs/hl7:id
Item: (Uitkomstperkindsubject)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:subject[hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs/hl7:id"
         id="tmp-r-838621-688281-553881-714143">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900369
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Rolaanpakkerkind)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900369
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]
Item: (Rolaanpakkerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]"
         id="tmp-r-547178-292767-696649-463881">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="string(@typeCode)='PRF'">(Rolaanpakkerkind): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="count(hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']])&gt;=1 and not(hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]/@nullFlavor)">(Rolaanpakkerkind): element hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="count(hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']])&lt;=1">(Rolaanpakkerkind): element hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900369
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty
Item: (Rolaanpakkerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty"
         id="tmp-r-191161-790219-392920-553354">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(Rolaanpakkerkind): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Rolaanpakkerkind): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="count(hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Rolaanpakkerkind): element hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="count(hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Rolaanpakkerkind): element hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="count(hl7:agentPerson)&gt;=1 ">(Rolaanpakkerkind): element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="count(hl7:agentPerson)&lt;=1">(Rolaanpakkerkind): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900384
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty
Item: (Identificatieaanpakkerkind)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900384
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty/hl7:id
Item: (Identificatieaanpakkerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty/hl7:id"
         id="tmp-r-332755-221828-776274-665424">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900369
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty/hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Rolaanpakkerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty/hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-173796-959987-669096-579822">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.34-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.34-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Rolaanpakkerkind): de waarde van @code MOET worden gekozen uit waardenlijst RolZorgverlener (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900369-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Rolaanpakkerkind): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst RolZorgverlener (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900369
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:performer[hl7:responsibleParty[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:responsibleParty/hl7:agentPerson
Item: (Rolaanpakkerkind)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900385
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Roleindverantwoordelijke)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900385
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]
Item: (Roleindverantwoordelijke)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]"
         id="tmp-r-728354-778661-380823-145115">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="string(@typeCode)='RESP'">(Roleindverantwoordelijke): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="count(hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']])&gt;=1 and not(hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]/@nullFlavor)">(Roleindverantwoordelijke): element hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="count(hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']])&lt;=1">(Roleindverantwoordelijke): element hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900385
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:assignedEntity
Item: (Roleindverantwoordelijke)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:assignedEntity"
         id="tmp-r-766613-510207-234769-172952">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(Roleindverantwoordelijke): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Roleindverantwoordelijke): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="count(hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Roleindverantwoordelijke): element hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="count(hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Roleindverantwoordelijke): element hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900384
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:assignedEntity
Item: (Identificatieaanpakkerkind)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900384
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:assignedEntity/hl7:id
Item: (Identificatieaanpakkerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:assignedEntity/hl7:id"
         id="tmp-r-170590-125536-768226-305560">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900385
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:assignedEntity/hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Roleindverantwoordelijke)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:responsibleParty[hl7:assignedEntity[hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:assignedEntity/hl7:code[(@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.59') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-361039-862215-136831-626538">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.35-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.35-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Roleindverantwoordelijke): de waarde van @code MOET worden gekozen uit waardenlijst Eindverantwoordelijke (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900385-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Roleindverantwoordelijke): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Eindverantwoordelijke (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900233
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Faciliteitwerkelijkeplaatsbaring)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900233
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]
Item: (Faciliteitwerkelijkeplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]"
         id="tmp-r-313185-484391-438711-527309">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="string(@typeCode)='ELOC'">(Faciliteitwerkelijkeplaatsbaring): de waarde van @typeCode MOET 'ELOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="count(hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']])&gt;=1 ">(Faciliteitwerkelijkeplaatsbaring): element hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="count(hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']])&lt;=1">(Faciliteitwerkelijkeplaatsbaring): element hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900233
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:healthCareFacility
Item: (Faciliteitwerkelijkeplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:healthCareFacility"
         id="tmp-r-425268-189043-101429-332753">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="string(@classCode)='DSDLOC'">(Faciliteitwerkelijkeplaatsbaring): de waarde van @classCode MOET 'DSDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="count(hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Faciliteitwerkelijkeplaatsbaring): element hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="count(hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Faciliteitwerkelijkeplaatsbaring): element hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900233
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:healthCareFacility/hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Faciliteitwerkelijkeplaatsbaring)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:location[hl7:healthCareFacility[hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']]]/hl7:healthCareFacility/hl7:code[(@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.8.7') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-442338-620742-695717-974009">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.106-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.106-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Faciliteitwerkelijkeplaatsbaring): de waarde van @code MOET worden gekozen uit waardenlijst WerkelijkePlaatsBaring (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900233-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Faciliteitwerkelijkeplaatsbaring): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst WerkelijkePlaatsBaring (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-481843-998030-368768-328089">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900255
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Geslachtmedischeobservatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900255
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Geslachtmedischeobservatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900255
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Geslachtmedischeobservatie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-713109-154139-664625-924152">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Geslachtmedischeobservatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Geslachtmedischeobservatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="count(hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Geslachtmedischeobservatie): element hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="count(hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Geslachtmedischeobservatie): element hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Geslachtmedischeobservatie): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Geslachtmedischeobservatie): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900255
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Geslachtmedischeobservatie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-835070-389366-753617-747412">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="@nullFlavor or (@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')">(Geslachtmedischeobservatie): de elementwaarde MOET zijn code '46098-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900255
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Geslachtmedischeobservatie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.21') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-309960-449417-888796-998393">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.110-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.110-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Geslachtmedischeobservatie): de waarde van @code MOET worden gekozen uit waardenlijst GenderMedisch (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900255-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Geslachtmedischeobservatie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst GenderMedisch (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-866658-850808-933011-283549">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900400
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Rangnummerkind)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900400
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Rangnummerkind)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900400
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Rangnummerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-390406-774243-175817-745899">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Rangnummerkind): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Rangnummerkind): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="count(hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Rangnummerkind): element hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="count(hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Rangnummerkind): element hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Rangnummerkind): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Rangnummerkind): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900400
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Rangnummerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-527174-703518-773763-474685">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="@nullFlavor or (@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Rangnummerkind): de elementwaarde MOET zijn code 'BirthOrderNumber' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900400
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Rangnummerkind)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-630900-984746-539877-827907">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900400-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=9))">(Rangnummerkind): value MOET in bereik [1..9] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-712948-512929-223970-256661">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-965708-750166-687842-875363">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='I' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or @nullFlavor='UNK'])&gt;=1 ">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='I' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or @nullFlavor='UNK'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='I' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or @nullFlavor='UNK'])&lt;=1">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='I' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or @nullFlavor='UNK'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-401626-305975-671030-708240">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="@nullFlavor or (@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')">(Foetusvolgletterzoalsantepartumgehanteerd): de elementwaarde MOET zijn code '11951-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='I' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or @nullFlavor='UNK']
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or (@code='I' and @codeSystem='2.16.840.1.113883.2.4.4.13.42') or @nullFlavor='UNK']"
         id="tmp-r-580883-629965-828566-483749">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.72-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.72-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @code MOET worden gekozen uit waardenlijst FoetusVolgletter (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Foetusvolgletterzoalsantepartumgehanteerd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst FoetusVolgletter (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-693312-839491-430139-647140">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900261
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Tijdstipactiefmeepersen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900261
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Tijdstipactiefmeepersen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900261
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Tijdstipactiefmeepersen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-597980-289296-114601-736348">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900261-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Tijdstipactiefmeepersen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900261-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Tijdstipactiefmeepersen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900261-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Tijdstipactiefmeepersen): element hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900261-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Tijdstipactiefmeepersen): element hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900261-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Tijdstipactiefmeepersen): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900261-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Tijdstipactiefmeepersen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900261
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Tijdstipactiefmeepersen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-342985-561679-337216-990910">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900261-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Tijdstipactiefmeepersen): de elementwaarde MOET zijn code 'PRN530401' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900261
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value
Item: (Tijdstipactiefmeepersen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-582165-120496-270115-370516">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-311948-515127-250341-839006">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900262
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Conditieperineumpostpartum)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900262
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Conditieperineumpostpartum)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900262
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Conditieperineumpostpartum)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-189010-794575-303882-327229">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Conditieperineumpostpartum): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Conditieperineumpostpartum): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Conditieperineumpostpartum): element hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Conditieperineumpostpartum): element hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="count(hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Conditieperineumpostpartum): element hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="count(hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Conditieperineumpostpartum): element hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900262
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Conditieperineumpostpartum)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-595969-386756-961946-875929">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Conditieperineumpostpartum): de elementwaarde MOET zijn code 'PRN5704' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900262
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Conditieperineumpostpartum)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='A' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='B' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='D' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='E' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='F' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='G' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or (@code='H' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.62') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-392475-501347-377283-297240">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.27-2013-01-10T132504.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.27-2013-01-10T132504.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Conditieperineumpostpartum): de waarde van @code MOET worden gekozen uit waardenlijst ConditiePerineum (2013-01-10T13:25:04). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900262-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Conditieperineumpostpartum): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ConditiePerineum (2013-01-10T13:25:04).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]"
         id="tmp-r-476021-854034-390742-925801">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900271
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Episiotomie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900271
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]
Item: (Episiotomie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900271
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Episiotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure"
         id="tmp-r-719380-643857-502455-100036">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="string(@classCode)='PROC'">(Episiotomie): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Episiotomie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="../hl7:procedure/@negationInd or ../hl7:procedure/@nullFlavor">(Episiotomie): Episiotomie shall have a negationInd (true or false) unless null</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="../hl7:procedure/@negationInd='true' or ../hl7:procedure/@nullFlavor or hl7:targetSiteCode">(Episiotomie): If Episiotomie=true (negationInd=false) an hl7:targetSiteCode (Faseamniotomie) shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="../hl7:procedure/@negationInd='false' or ../hl7:procedure/@nullFlavor or not(hl7:targetSiteCode)">(Episiotomie): If Episiotomie=false (negationInd=true) hl7:targetSiteCode (Faseamniotomie) shall not be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Episiotomie): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="count(hl7:id)&lt;=1">(Episiotomie): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&gt;=1 and not(hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]/@nullFlavor)">(Episiotomie): element hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')])&lt;=1">(Episiotomie): element hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(Episiotomie): element hl7:targetSiteCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900271
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id
Item: (Episiotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:id"
         id="tmp-r-378895-868216-518167-626918">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900271
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]
Item: (Episiotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]"
         id="tmp-r-734415-437565-318164-324288">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900271-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">(Episiotomie): de elementwaarde MOET zijn code 'PRN540701' codeSystem '2.16.840.1.113883.2.4.3.22.1.3'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900272
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Locatieepisiotomie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900272
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:targetSiteCode
Item: (Locatieepisiotomie)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-r-134056-901945-839072-785037">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.161-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.161-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900272-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Locatieepisiotomie): de waarde van @code MOET worden gekozen uit waardenlijst EpisiotomieType (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900272-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Locatieepisiotomie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst EpisiotomieType (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-115841-349237-587738-676695">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900285
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Typeuitkomst)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900285
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Typeuitkomst)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900285
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Typeuitkomst)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-797568-905628-118471-955577">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Typeuitkomst): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Typeuitkomst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Typeuitkomst): element hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="count(hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Typeuitkomst): element hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Typeuitkomst): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Typeuitkomst): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.9')])&gt;=1 and not(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.9')]/@nullFlavor)">(Typeuitkomst): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.9')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.9')])&lt;=1">(Typeuitkomst): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.9')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900285
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Typeuitkomst)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-976834-146047-260462-785299">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="@nullFlavor or (@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Typeuitkomst): de elementwaarde MOET zijn code 'Outcome' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900285
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime
Item: (Typeuitkomst)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:effectiveTime"
         id="tmp-r-572362-101925-727066-129945">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900285
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.9')]
Item: (Typeuitkomst)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.9') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.13.9')]"
         id="tmp-r-932310-152735-445885-676090">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.11-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Typeuitkomst): de waarde van @code MOET worden gekozen uit waardenlijst TypeUitkomst (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900285-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Typeuitkomst): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst TypeUitkomst (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-860341-616866-487884-148742">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900425
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Geboortegewicht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900425
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Geboortegewicht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900425
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Geboortegewicht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-156153-834486-949666-722690">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Geboortegewicht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Geboortegewicht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="count(hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Geboortegewicht): element hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="count(hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Geboortegewicht): element hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Geboortegewicht): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Geboortegewicht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900425
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Geboortegewicht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-775112-549150-573371-116917">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')">(Geboortegewicht): de elementwaarde MOET zijn code '8339-4' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900425
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value
Item: (Geboortegewicht)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-675869-418923-738098-939779">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900425-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&gt;=0 and (matches(string($theValue), '^[-+]?[0-9]*$'))))">(Geboortegewicht): value MOET eenheid 'g' gebruiken en in bereik [0..] liggen  en tot op minstens 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-703582-776175-801597-290686">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900293
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Apgarscorena1min)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900293
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Apgarscorena1min)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900293
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Apgarscorena1min)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-381946-233449-153576-648907">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Apgarscorena1min): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Apgarscorena1min): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="count(hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Apgarscorena1min): element hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="count(hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Apgarscorena1min): element hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Apgarscorena1min): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Apgarscorena1min): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900293
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Apgarscorena1min)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-847416-354752-771165-567156">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="@nullFlavor or (@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')">(Apgarscorena1min): de elementwaarde MOET zijn code '9272-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900293
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value
Item: (Apgarscorena1min)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-440403-699417-359118-410544">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900293-2009-10-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">(Apgarscorena1min): value MOET in bereik [0..10] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-933406-589045-426106-418082">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900294
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Apgarscorena5min)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900294
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Apgarscorena5min)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900294
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation
Item: (Apgarscorena5min)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation"
         id="tmp-r-827111-427887-418246-145498">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Apgarscorena5min): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Apgarscorena5min): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="count(hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Apgarscorena5min): element hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="count(hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Apgarscorena5min): element hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Apgarscorena5min): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Apgarscorena5min): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900294
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Apgarscorena5min)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-386927-236176-650667-969405">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="@nullFlavor or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')">(Apgarscorena5min): de elementwaarde MOET zijn code '9274-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900294
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value
Item: (Apgarscorena5min)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:observation/hl7:value"
         id="tmp-r-603090-576477-735156-163017">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900294-2009-10-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">(Apgarscorena5min): value MOET in bereik [0..10] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-371133-564950-370497-968225">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900295
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Congenitaleafwijkingen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900295
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Congenitaleafwijkingen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900295
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Congenitaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-387444-779608-693409-395821">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Congenitaleafwijkingen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Congenitaleafwijkingen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="count(hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Congenitaleafwijkingen): element hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="count(hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Congenitaleafwijkingen): element hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="count(hl7:uncertaintyCode)&lt;=1">(Congenitaleafwijkingen): element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="count(hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='41' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='43' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='44' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='45' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='49' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='50' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='59' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='60' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='83' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='84' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='89' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='90' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='94' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='95' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='96' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='99' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or @nullFlavor='UNK'])&gt;=1 ">(Congenitaleafwijkingen): element hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='41' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='43' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='44' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='45' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='49' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='50' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='59' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='60' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='83' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='84' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='89' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='90' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='94' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='95' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='96' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='99' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or @nullFlavor='UNK'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="count(hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='41' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='43' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='44' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='45' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='49' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='50' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='59' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='60' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='83' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='84' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='89' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='90' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='94' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='95' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='96' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='99' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or @nullFlavor='UNK'])&lt;=1">(Congenitaleafwijkingen): element hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='41' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='43' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='44' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='45' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='49' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='50' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='59' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='60' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='83' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='84' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='89' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='90' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='94' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='95' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='96' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='99' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or @nullFlavor='UNK'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900295
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Congenitaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-195924-513947-668149-398037">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="@nullFlavor or (@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Congenitaleafwijkingen): de elementwaarde MOET zijn code 'CongMalf' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900295
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode
Item: (Congenitaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-r-404940-626588-215403-683825">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.50-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.50-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Congenitaleafwijkingen): de waarde van @code MOET worden gekozen uit waardenlijst UncertaintyCode (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Congenitaleafwijkingen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst UncertaintyCode (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900295
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='41' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='43' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='44' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='45' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='49' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='50' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='59' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='60' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='83' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='84' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='89' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='90' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='94' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='95' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='96' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='99' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or @nullFlavor='UNK']
Item: (Congenitaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='40' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='41' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='43' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='44' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='45' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='49' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='50' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='59' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='60' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='83' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='84' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='89' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='90' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='94' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='95' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='96' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or (@code='99' and @codeSystem='2.16.840.1.113883.2.4.4.13.8') or @nullFlavor='UNK']"
         id="tmp-r-762805-140062-790931-140245">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.111-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.111-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Congenitaleafwijkingen): de waarde van @code MOET worden gekozen uit waardenlijst CongenitaleAfwijkingen (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900295-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Congenitaleafwijkingen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CongenitaleAfwijkingen (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-567864-953902-760461-654839">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900348
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Chromosomaleafwijkingen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900348
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Chromosomaleafwijkingen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900348
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Chromosomaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-808019-578235-135132-868446">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Chromosomaleafwijkingen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Chromosomaleafwijkingen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="../hl7:observation/@negationInd or hl7:uncertaintyCode">(Chromosomaleafwijkingen): If Chromosomale afwijkingen an uncertaintyCode shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="../hl7:observation/@negationInd or hl7:value">(Chromosomaleafwijkingen): If Chromosomale afwijkingen a value shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="count(hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Chromosomaleafwijkingen): element hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="count(hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Chromosomaleafwijkingen): element hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="count(hl7:uncertaintyCode)&lt;=1">(Chromosomaleafwijkingen): element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Chromosomaleafwijkingen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900348
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Chromosomaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-822816-134585-267607-973120">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="@nullFlavor or (@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Chromosomaleafwijkingen): de elementwaarde MOET zijn code 'ChromMalf' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900348
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode
Item: (Chromosomaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-r-641578-107243-529029-666662">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.50-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.50-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Chromosomaleafwijkingen): de waarde van @code MOET worden gekozen uit waardenlijst UncertaintyCode (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Chromosomaleafwijkingen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst UncertaintyCode (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900348
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value
Item: (Chromosomaleafwijkingen)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value"
         id="tmp-r-609157-837740-234498-861504">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.32-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.32-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Chromosomaleafwijkingen): de waarde van @code MOET worden gekozen uit waardenlijst ChromosomaleAfwijkingen (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900348-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Chromosomaleafwijkingen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ChromosomaleAfwijkingen (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-485574-754827-450114-832829">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900359
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Liggingbijgeboorte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900359
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Liggingbijgeboorte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900359
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Liggingbijgeboorte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-323087-217973-242664-928491">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Liggingbijgeboorte): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Liggingbijgeboorte): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="count(hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Liggingbijgeboorte): element hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="count(hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Liggingbijgeboorte): element hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&gt;=1 ">(Liggingbijgeboorte): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'])&lt;=1">(Liggingbijgeboorte): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900359
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Liggingbijgeboorte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-297237-682749-130257-499073">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="@nullFlavor or (@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Liggingbijgeboorte): de elementwaarde MOET zijn code 'LigGbrt' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900359
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']
Item: (Liggingbijgeboorte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.50') or @nullFlavor='UNK' or @nullFlavor='OTH' or @nullFlavor='NI']"
         id="tmp-r-991329-449766-166364-713249">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.33-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Liggingbijgeboorte): de waarde van @code MOET worden gekozen uit waardenlijst LiggingBijGeboorte (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900359-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Liggingbijgeboorte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst LiggingBijGeboorte (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]"
         id="tmp-r-479915-275184-236865-214387">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900720
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Betrokkenheidanderezorgverlener_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900720
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]
Item: (Betrokkenheidanderezorgverlener_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900720
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation
Item: (Betrokkenheidanderezorgverlener_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation"
         id="tmp-r-592311-589921-796152-266489">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="string(@classCode)='OBS'">(Betrokkenheidanderezorgverlener_3): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Betrokkenheidanderezorgverlener_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="hl7:value/@code='0' or hl7:value/@nullFlavor or hl7:performer/hl7:time">(Betrokkenheidanderezorgverlener_3): If andere zorgverlener betrokken a performer time shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&gt;=1 and not(hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]/@nullFlavor)">(Betrokkenheidanderezorgverlener_3): element hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')])&lt;=1">(Betrokkenheidanderezorgverlener_3): element hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Betrokkenheidanderezorgverlener_3): element hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Betrokkenheidanderezorgverlener_3): element hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">(Betrokkenheidanderezorgverlener_3): element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:performer)&lt;=1">(Betrokkenheidanderezorgverlener_3): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900720
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]
Item: (Betrokkenheidanderezorgverlener_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]"
         id="tmp-r-550285-646452-922571-939783">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="@nullFlavor or (@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Betrokkenheidanderezorgverlener_3): de elementwaarde MOET zijn code 'ZorgverlBetr' codeSystem '2.16.840.1.113883.2.4.4.13'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900720
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Betrokkenheidanderezorgverlener_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:value[(@code='0' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.13.17') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-971607-613448-901385-324845">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.41-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.41-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Betrokkenheidanderezorgverlener_3): de waarde van @code MOET worden gekozen uit waardenlijst AndereZorgverlenerBetrokken (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Betrokkenheidanderezorgverlener_3): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AndereZorgverlenerBetrokken (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900720
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer
Item: (Betrokkenheidanderezorgverlener_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer"
         id="tmp-r-833780-325055-554709-653655">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="string(@typeCode)='SPRF'">(Betrokkenheidanderezorgverlener_3): de waarde van @typeCode MOET 'SPRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:time)&lt;=1">(Betrokkenheidanderezorgverlener_3): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Betrokkenheidanderezorgverlener_3): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Betrokkenheidanderezorgverlener_3): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900706
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer
Item: (Datumbetrokkenheidanderezorgverlener)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900706
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:time
Item: (Datumbetrokkenheidanderezorgverlener)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:time"
         id="tmp-r-239669-803047-313202-398600">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900706-2009-10-01T000000.html"
              test="count(hl7:low)&gt;=1 ">(Datumbetrokkenheidanderezorgverlener): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900706-2009-10-01T000000.html"
              test="count(hl7:low)&lt;=1">(Datumbetrokkenheidanderezorgverlener): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900706-2009-10-01T000000.html"
              test="count(hl7:high)&lt;=1">(Datumbetrokkenheidanderezorgverlener): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900706
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:time/hl7:low
Item: (Datumbetrokkenheidanderezorgverlener)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:time/hl7:low"
         id="tmp-r-224234-185343-920158-879003">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900706
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:time/hl7:high
Item: (Datumbetrokkenheidanderezorgverlener)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:time/hl7:high"
         id="tmp-r-134564-184799-665218-852297">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900720
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:assignedEntity
Item: (Betrokkenheidanderezorgverlener_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:assignedEntity"
         id="tmp-r-401718-143140-919748-859892">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="string(@classCode)='ASSIGNED'">(Betrokkenheidanderezorgverlener_3): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:code[(@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111')])&gt;=1 and not(hl7:code[(@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111')]/@nullFlavor)">(Betrokkenheidanderezorgverlener_3): element hl7:code[(@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900720-2012-04-22T000000.html"
              test="count(hl7:code[(@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111')])&lt;=1">(Betrokkenheidanderezorgverlener_3): element hl7:code[(@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900430
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:assignedEntity
Item: (Zorgverlenertypevanbetrokkenanderezorgverlener)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900430
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:assignedEntity/hl7:code
Item: (Zorgverlenertypevanbetrokkenanderezorgverlener)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')]]]/hl7:observation/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-224769-871453-346584-663673">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900430-2009-10-01T000000.html"
              test="@nullFlavor or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111')">(Zorgverlenertypevanbetrokkenanderezorgverlener): de elementwaarde MOET zijn code '01.019' codeSystem '2.16.840.1.113883.2.4.15.111'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]"
         id="tmp-r-918751-732695-794848-605184">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900433
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Faseperinatalesterfte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900433
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]
Item: (Faseperinatalesterfte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900433
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation
Item: (Faseperinatalesterfte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation"
         id="tmp-r-345144-488675-863533-763915">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Faseperinatalesterfte): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Faseperinatalesterfte): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&gt;=1 and not(hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]/@nullFlavor)">(Faseperinatalesterfte): element hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="count(hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')])&lt;=1">(Faseperinatalesterfte): element hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Faseperinatalesterfte): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Faseperinatalesterfte): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900433
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]
Item: (Faseperinatalesterfte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]"
         id="tmp-r-412138-786558-353451-175475">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="@nullFlavor or (@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">(Faseperinatalesterfte): de elementwaarde MOET zijn code 'PRN810201' codeSystem '2.16.840.1.113883.2.4.3.22.1.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900433
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Faseperinatalesterfte)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[(@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')]]]/hl7:observation/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.2.79') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-227181-615578-858172-110259">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.42-2013-01-10T000000.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.42-2013-01-10T000000.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Faseperinatalesterfte): de waarde van @code MOET worden gekozen uit waardenlijst FasePerinatSterfte (2013-01-10T00:00:00). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900433-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Faseperinatalesterfte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst FasePerinatSterfte (2013-01-10T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-134189-154236-448052-548718">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900719
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Labonderzoeknavelstrengbloed_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900719
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Labonderzoeknavelstrengbloed_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900719
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Labonderzoeknavelstrengbloed_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure"
         id="tmp-r-410139-500025-485361-708741">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="string(@classCode)='SPECCOLLECT'">(Labonderzoeknavelstrengbloed_3): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Labonderzoeknavelstrengbloed_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Labonderzoeknavelstrengbloed_3): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Labonderzoeknavelstrengbloed_3): element hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Labonderzoeknavelstrengbloed_3): element hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Labonderzoeknavelstrengbloed_3): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Labonderzoeknavelstrengbloed_3): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:approachSiteCode[(@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:approachSiteCode[(@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Labonderzoeknavelstrengbloed_3): element hl7:approachSiteCode[(@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:approachSiteCode[(@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Labonderzoeknavelstrengbloed_3): element hl7:approachSiteCode[(@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/@nullFlavor)">(Labonderzoeknavelstrengbloed_3): element hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]])&lt;=1">(Labonderzoeknavelstrengbloed_3): element hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 and not(hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/@nullFlavor)">(Labonderzoeknavelstrengbloed_3): element hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="count(hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(Labonderzoeknavelstrengbloed_3): element hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900719
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id
Item: (Labonderzoeknavelstrengbloed_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:id"
         id="tmp-r-438401-682167-616469-327044">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900719
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Labonderzoeknavelstrengbloed_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-631606-689691-608734-186162">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="@nullFlavor or (@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')">(Labonderzoeknavelstrengbloed_3): de elementwaarde MOET zijn code '82078001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900494
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Datumafnamenavelstrengbloed)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900494
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:effectiveTime
Item: (Datumafnamenavelstrengbloed)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-r-347988-484544-829585-875003">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900719
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:approachSiteCode[(@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Labonderzoeknavelstrengbloed_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:approachSiteCode[(@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-372944-104467-996964-245649">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="@nullFlavor or (@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')">(Labonderzoeknavelstrengbloed_3): de elementwaarde MOET zijn code '408728001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Afnemeridentificatie_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]"
         id="tmp-r-984887-694702-874196-690031">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="string(@typeCode)='PRF'">(Afnemeridentificatie_3): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]])&gt;=1 and not(hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]/@nullFlavor)">(Afnemeridentificatie_3): element hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]])&lt;=1">(Afnemeridentificatie_3): element hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity"
         id="tmp-r-570479-133042-979440-686129">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="string(@classCode)='ASSIGNED'">(Afnemeridentificatie_3): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 ">(Afnemeridentificatie_3): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')])&gt;=1 ">(Afnemeridentificatie_3): element hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')])&lt;=1">(Afnemeridentificatie_3): element hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 ">(Afnemeridentificatie_3): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(Afnemeridentificatie_3): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]])&gt;=1 ">(Afnemeridentificatie_3): element hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]])&lt;=1">(Afnemeridentificatie_3): element hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:id
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:id"
         id="tmp-r-495491-519058-420972-386143">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]"
         id="tmp-r-852172-755732-930481-197997">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Afnemeridentificatie_3): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Afnemeridentificatie_3): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:assignedPerson
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-999786-398339-850803-192258">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="string(@classCode)='PSN'">(Afnemeridentificatie_3): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="string(@determinerCode)='INSTANCE'">(Afnemeridentificatie_3): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:name)&gt;=1 ">(Afnemeridentificatie_3): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:name)&lt;=1">(Afnemeridentificatie_3): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-400183-192611-249545-322680">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]"
         id="tmp-r-311997-362766-770839-923423">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="string(@classCode)='ORG'">(Afnemeridentificatie_3): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="string(@determinerCode)='INSTANCE'">(Afnemeridentificatie_3): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 ">(Afnemeridentificatie_3): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')])&gt;=1 and not(hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]/@nullFlavor)">(Afnemeridentificatie_3): element hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')])&lt;=1">(Afnemeridentificatie_3): element hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:name)&gt;=1 ">(Afnemeridentificatie_3): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:name)&lt;=1">(Afnemeridentificatie_3): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Afnemeridentificatie_3): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:addr)&lt;=1">(Afnemeridentificatie_3): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:id
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:id"
         id="tmp-r-509426-736637-697882-493648">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:code
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:code"
         id="tmp-r-849024-886490-278149-665460">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.59-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.59-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Afnemeridentificatie_3): de waarde van @code MOET worden gekozen uit waardenlijst ZorgaanbiederType (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Afnemeridentificatie_3): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgaanbiederType (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:name
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:name"
         id="tmp-r-835187-258875-824280-877752">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:addr
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:addr"
         id="tmp-r-383719-681577-422362-711844">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:houseNumber)&gt;=1 ">(Afnemeridentificatie_3): element hl7:houseNumber is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(Afnemeridentificatie_3): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:postalCode)&gt;=1 ">(Afnemeridentificatie_3): element hl7:postalCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900721-2012-04-22T000000.html"
              test="count(hl7:postalCode)&lt;=1">(Afnemeridentificatie_3): element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:addr/hl7:houseNumber
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:addr/hl7:houseNumber"
         id="tmp-r-931737-935177-858540-636787">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900721
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:addr/hl7:postalCode
Item: (Afnemeridentificatie_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.020' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='03.000' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='AA.001' and @codeSystem='2.16.840.1.113883.2.4.98.111') or (@code='AA.002' and @codeSystem='2.16.840.1.113883.2.4.98.111')]]]/hl7:assignedEntity/hl7:representedOrganization[hl7:code[(@code='Z3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='G3' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='V4' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='B2' and @codeSystem='2.16.840.1.113883.2.4.15.1060') or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/hl7:addr/hl7:postalCode"
         id="tmp-r-163467-563758-608680-567835">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900719
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Labonderzoeknavelstrengbloed_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-547581-703814-920651-267112">
      <extends rule="tmp-r-896423-810817-489725-645731"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900719-2012-04-22T000000.html"
              test="string(@typeCode)='ELNK'">(Labonderzoeknavelstrengbloed_3): de waarde van @typeCode MOET 'ELNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900722
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure
Item: (Labaanvraag_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900722
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Labaanvraag_3)
-->
<rule id="tmp-r-896423-810817-489725-645731" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="count(hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]])&gt;=1 and not(hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]/@nullFlavor)">(Labaanvraag_3): element hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="count(hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]])&lt;=1">(Labaanvraag_3): element hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900722
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act
Item: (Labaanvraag_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act"
         id="tmp-r-877843-259100-439961-933063">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="string(@classCode)='ACT'">(Labaanvraag_3): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="string(@moodCode)='RQO'">(Labaanvraag_3): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="count(hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Labaanvraag_3): element hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="count(hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Labaanvraag_3): element hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Labaanvraag_3): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="count(hl7:performer)&gt;=1 ">(Labaanvraag_3): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="count(hl7:performer)&lt;=1">(Labaanvraag_3): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900722
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Labaanvraag_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-473920-817424-866219-537157">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="@nullFlavor or (@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')">(Labaanvraag_3): de elementwaarde MOET zijn code 'X-LAB-ORDER' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900722
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:statusCode
Item: (Labaanvraag_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:statusCode"
         id="tmp-r-795623-453026-637367-472902">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900722-2012-04-22T000000.html"
              test="@nullFlavor or (@code='active')">(Labaanvraag_3): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act
Item: (Uitvoerendlab_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer"
         id="tmp-r-505954-158368-895475-550203">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="string(@typeCode)='PRF'">(Uitvoerendlab_3): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]])&gt;=1 and not(hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/@nullFlavor)">(Uitvoerendlab_3): element hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]])&lt;=1">(Uitvoerendlab_3): element hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]"
         id="tmp-r-734930-407434-220002-427904">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="string(@classCode)='ASSIGNED'">(Uitvoerendlab_3): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]])&gt;=1 and not(hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]/@nullFlavor)">(Uitvoerendlab_3): element hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]])&lt;=1">(Uitvoerendlab_3): element hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization"
         id="tmp-r-600458-559639-239323-523897">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="string(@classCode)='ORG'">(Uitvoerendlab_3): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="string(@determinerCode)='INSTANCE'">(Uitvoerendlab_3): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 ">(Uitvoerendlab_3): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Uitvoerendlab_3): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')])&gt;=1 and not(hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]/@nullFlavor)">(Uitvoerendlab_3): element hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')])&lt;=1">(Uitvoerendlab_3): element hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:name)&gt;=1 ">(Uitvoerendlab_3): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:name)&lt;=1">(Uitvoerendlab_3): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Uitvoerendlab_3): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:addr)&lt;=1">(Uitvoerendlab_3): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:id
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:id"
         id="tmp-r-437923-919055-415821-124383">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]"
         id="tmp-r-764714-966353-495159-451881">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="@nullFlavor or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')">(Uitvoerendlab_3): de elementwaarde MOET zijn code 'L1' codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:name
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:name"
         id="tmp-r-180826-537950-360948-509377">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:addr
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:addr"
         id="tmp-r-840647-448186-988237-542825">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:houseNumber)&gt;=1 ">(Uitvoerendlab_3): element hl7:houseNumber is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(Uitvoerendlab_3): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:postalCode)&gt;=1 ">(Uitvoerendlab_3): element hl7:postalCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900723-2012-04-22T000000.html"
              test="count(hl7:postalCode)&lt;=1">(Uitvoerendlab_3): element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:addr/hl7:houseNumber
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:addr/hl7:houseNumber"
         id="tmp-r-264419-633375-513288-468780">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900723
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:addr/hl7:postalCode
Item: (Uitvoerendlab_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[(@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[(@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:representedOrganization[hl7:code[(@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')]]]/hl7:representedOrganization/hl7:addr/hl7:postalCode"
         id="tmp-r-388730-755083-238084-688383">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900718
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Uitkomstperkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-914665-492502-849153-116442">
      <extends rule="tmp-r-447345-565124-880108-534915"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900718-2012-04-22T000000.html"
              test="string(@typeCode)='COMP'">(Uitkomstperkind_3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure
Item: (Voedingkind_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Voedingkind_3)
-->
<rule id="tmp-r-447345-565124-880108-534915" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1 ">(Voedingkind_3): element hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(Voedingkind_3): element hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply
Item: (Voedingkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply"
         id="tmp-r-654969-291478-513679-609309">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="string(@classCode)='DIET'">(Voedingkind_3): de waarde van @classCode MOET 'DIET' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="string(@moodCode)='EVN'">(Voedingkind_3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:id)&gt;=1 ">(Voedingkind_3): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:id)&lt;=1">(Voedingkind_3): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Voedingkind_3): element hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Voedingkind_3): element hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Voedingkind_3): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Voedingkind_3): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:product)&gt;=1 ">(Voedingkind_3): element hl7:product is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:product)&lt;=1">(Voedingkind_3): element hl7:product komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:id
Item: (Voedingkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:id"
         id="tmp-r-942500-482052-554916-627604">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Voedingkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-211656-340682-102863-386265">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="@nullFlavor or (@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')">(Voedingkind_3): de elementwaarde MOET zijn code '230126006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:effectiveTime
Item: (Voedingkind_3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product
Item: (Voedingkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product"
         id="tmp-r-985803-990075-296692-495283">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="string(@typeCode)='PRD'">(Voedingkind_3): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]])&gt;=1 ">(Voedingkind_3): element hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]])&lt;=1">(Voedingkind_3): element hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product/hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]]
Item: (Voedingkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product/hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]]"
         id="tmp-r-734050-245286-325820-936466">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="string(@classCode)='ACCESS'">(Voedingkind_3): de waarde van @classCode MOET 'ACCESS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']])&gt;=1 ">(Voedingkind_3): element hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']])&lt;=1">(Voedingkind_3): element hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product/hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:playingMaterial
Item: (Voedingkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product/hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:playingMaterial"
         id="tmp-r-177394-147775-805791-342159">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="string(@classCode)='MAT'">(Voedingkind_3): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="string(@determinerCode)='KIND'">(Voedingkind_3): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI'])&gt;=1 ">(Voedingkind_3): element hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI'])&lt;=1">(Voedingkind_3): element hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900724
Context: hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product/hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:playingMaterial/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']
Item: (Voedingkind_3)
-->
<rule context="hl7:registrationProcess/hl7:subject2[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']]]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='236973005']]]/hl7:organizer[hl7:code[(@code='236973005' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:component[hl7:procedure[hl7:code[(@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')]]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[(@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:supply/hl7:product/hl7:product[hl7:playingMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']]]/hl7:playingMaterial/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.8') or @nullFlavor='UNK' or @nullFlavor='NI']"
         id="tmp-r-951913-290247-584961-766917">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.165-2012-01-01T000000.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.165-2012-01-01T000000.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Voedingkind_3): de waarde van @code MOET worden gekozen uit waardenlijst BabyVoedingSoort (2012-01-01T00:00:00). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20131112T143226/tmp-2.16.840.1.113883.2.4.6.10.90.900724-2012-04-22T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Voedingkind_3): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst BabyVoedingSoort (2012-01-01T00:00:00).</assert>
   </rule>
</pattern>
